Winamp 5.666
* 改良: URLを開く/追加ダイアログに履歴クリアボタンを追加
* 改良: マウスホイールによる音量変更を抑止する機能を追加
* 改良: より多くのコマンドラインスイッチを追加（winamp.exe /? で完全なリストを表示）
* 改良: ML設定で有効なとき、全てのメニューでスキニングスタイルを使用
* 改良: インターネットに接続が環境設定で選択されていないときにすべてのオンライン機能を無効にする
* 改良: 高DPI＆ダイアログ＆ライブラリビューのテキストのスケーリング互換性を修正
* 改良: 通知領域のツールチップ文字列を128文字に増加 (元は64文字)
* 改良: ライブラリビューの「再生」「追加」ボタンは必要に応じてグルーピング
* 改良: プレイリスト編集中の現在では利用可能なライブラリから大量のメタデータエディタ
* 改良: ユーザーが以前に（関連する設定の場合は）「いいえ」を選択した場合は、UACプロンプトを再試行
* 改良: Winampの終了処理の高速化
* 改良: [gen_ff] 固定ツールバーのための表示/非表示時間を制御する設定を追加
* 改良: [gen_ml] ドラッグ・アンド・ドロップについて最適化
* 改良: [ml_downloads] 「サイズ」列を追加
* 改良: [ml_history] （ポッドキャストまたはすべてのファイルのために）再生を再開するための新しいオプション
* 改良: [ml_history] 再生オフセット列と右クリックオプションにクリアを追加
* 改良: [ml_local] Ctrl+E メタデータエディタにポッドキャスト、BPM と レーティングフィールドを追加
* 改良: [ml_nowplaying/wire] 代替サービスを利用するためのサポートを追加
* 改良: [ml_playlists] 代わりに、データベース管理コピーのソースファイルを使用するオプション
* 改良: [ml_pmp] ローカルライブラリのサポートに合わせて単純なビューを追加
* 改良: [pmp_android/usb] ファイル名書式に <disk> サポートを追加
* 修正: クローンが動作中は Winamp エージェントを使用しない (例 KMPlayer)
* 修正: 言語パックのアクセラレータテーブルのロードすると逆戻りする問題
* 修正: ロード時にタイトルを読み取るように設定した際、長さが読み取られていない
* 修正: プレイリストエディタで沢山の選択時の評価でフリーズする
* 修正: Alt+3アートワーク画像タブの「名前をつけて保存」の間違えた拡張子
* 修正: いくつかの古いプラグインが存在する場合にUnicode文字がタスクバーに表示されない
* 修正: アプリケーションバーのようなエアロPEEKとフリーフォームスキンのドッキングと様々な問題
* 修正: [gen_ff] スケールが1.0以外のウインドウ枠の下/右にドッキング問題
* 修正: [gen_jumpex] 「ライブラリに追加」シェルメニュー項目の破損
* 修正: [gen_jumpex] 「J」または「F3」を押した時の「ファイルに移動」ウインドウが常に表示されていない問題
* 修正: [gen_tray] 「前へ」アクション使用時のフリーズ/2重起動問題
* 修正: [in_flac] 埋め込まれたアートワーク除去
* 修正: [in_midi] 不正 .kar ファイルによるメモリ比較クラッシュ
* 修正: [libmp4v2] 破損ファイルの不正ポインタでクラッシュする問題
* 修正: [ml_local] 検索フィルタでUnicode文字を記憶しない問題
* 修正: [pmp_android/usb] 不正なファイルパスでクラッシュ
* 修正: [pmp_android/usb] 使用可能なメタデータがファイルパスを生成しないようにした場合のファイル名を使用
* その他: [installer] スタートメニューに「Winamp（セーフモード）」を追加
* その他: より一般的な微調整、改良、修正と最適化（それらの多く！）
* 更新: [enc_fhgaac] Fraunhofer AAC Encoder v3.02.16
* 更新: [enc/in_vorbis] libogg 1.32
* 更新: [gen_jumpex] JTFE v1.3.1
* 更新: [in_wave] libsndfile 1.0.25

Winamp 5.65	[Jul 24 2013]
* 改良: メモリアロケーションの最適化と修正
* 改良: [ml_playlists] 現在再生中の曲を表示
* 修正: いくつかのラジオストリームが5.64のIcecast修正で再生できない問題
* 修正: ファイル情報ダイアログにアルバム画像を貼り付けるとクラッシュする問題(v5.64)
* 修正: [in_mp3] ID3v2.2タグのPICフレーム描画
* 修正: [gen_ml] エンターキーがMLビューで動作しない問題
* 修正: [ml_local] ライブラリのインポート時にクラッシュする問題(v5.64)
* 修正: [ml_plg] メインウインドウのソングティッカーのメニューアイテム「類似の項目」が破損する問題
* 修正: [npwachk] Winamp Detector プラグインが最新の Firefoxで動作しない問題
* 修正: [wasabi] カラーテーマリストの互換性問題
* その他: 一般的な微調整、改良、修正と最適化
* 更新: [enc_fhgaac] Fraunhofer AAC Encoder v3.02.15
* 更新: [png] libpng v1.5.17
* 更新: [gen_jumpex] JTFE v1.2.7

Winamp 5.64
* 新規: セーフモードでWinampを実行するためのオプション (コマンドラインスイッチ /SAFE=1)
* 新規: XSPFプレイリストのサポート (読み込みのみのサポート。書き込みは追って)
* 改良: メディアライブラリリストビュー内の切り捨てられたテキストツールチップ
* 改良: プレイリストのコンテキストメニューに「アイテムフォルダをエクスポローラで開く」を追加
* 改良: ブックマークメニューの処理はWinampの再生/エンキューの設定に従います
* 改良: D3D vsync モード (should fix reported video tearing issues)
* 改良: ファイル情報ダイアログのアートワークタブにアルバム画像ソースを表示
* 改良: ダイアログの位置を記憶
* 改良: ファイルがローカルメディアライブラリにない場合はタグから評価を表示
* 改良: フォルダブラウザの新しいスタイルのダイアログを使用
* 改良: Windows 8対応のファイルタイプの関連付け
* 改良: [gen_ff] Bento/Modern スキン通知のマルチモニタサポート
* 改良: [gen_ff] Windows 8のマルチモニタ/タスクバーモードの互換性
* 改良: [in_flac] FLAC ストリーミングサポート 
* 改良: [in_mp3] Shoutcast v2 のストリーム内アートワークサポート (とその他の修正)
* 改良: [in_mp3] MIME を使用してデコーダを決定します。これが正しい
* 改良: [in_mp4] ネイティブ ALAC 再生サポート
* 改良: [in_mp4] チャンクの代わりにサンプルを使用してMP4 Raw Readerを最適化する
* 改良: [in_mp4] タグに評価を書き込む ("rate"アトムを使用)
* 改良: [ml_local/history] nde/databaseエラー発生時に分かりやすいエラーメッセージ
* 改良: [ml_local] 追加日時列を追加 (スマートビューをそれに応じて調整)
* 改良: [ml_playlists] HTML形式のプレイリスト生成をサポート
* 改良: [ml_playlists] paths.iniで指定された時、プレイリストをm3udirにプレイリストを保存
* 改良: [ml_wire] 終了時の更新ファイルデータベース保存
* 改良: [pmp_ipod] BPM、合計トラック数、ディスク番号、合計ディスク数メタデータサポート
* 改良: [pmp_wifi] SSDPサポート最適化およびその他の最適化
* 修正: 一部のWindows8およびそれ以前のWindowsのインストールでロードに失敗 (Nannerに感謝)
* 修正: プレイリストに項目を追加してクリアしている場合、次の最初の曲を演奏しない
* 修正: Bento/Modern スキンの通知が現れない (感謝: pjn123)
* 修正: 0バイトの wdl*.tmp 、 wht*.tmp ファイルを削除
* 修正: Bentoスキンがフルスクリーンで終了するときの問題
* 修正: 無効なストリームのリンクを提供するいくつかのIcecastのサーバーとの問題 (v2.x バグ!)
* 修正: dspプラグインの切替時のクラッシュ問題
* 修正: [Bento Browser] 潜在的なセキュリティの脆弱性 (Julien Ahrens, Inshell に感謝)
* 修正: [gen_jumpex] 潜在的なセキュリティの脆弱性 (J. Ahrens, Inshell.net に感謝)
* 修正: [in_mp3] POPM評価スケールマッピング
* 修正: [in_mp4] 破損データでバッファが小さすぎるバグ
* 修正: [in_mp4] ファイルまたはポッドキャストのシーク中に1フレームをアートワークとして使用
* 修正: [in_vorbis] ディスク番号を読み込めない問題 (加えて、他の一般的なVorbisのコメント修正)
* 修正: [in_wave] wavファイル用mldb情報はAlt+3ダイアログを表示した後にクリアします
* 修正: [ml_disc] MLツリーの履歴とブックマークのコンテキストメニューが固まる問題
* 修正: [ml_disc] いくつかのシステムで作成される0バイト krk*.tmp ファイルと関連付けクラッシュ
* 修正: [ml_impex] 大きなデータベースのインポート/エクスポートでUIが固まる問題
* 修正: [ml_wire] 同じ名前のポッドキャストチャンネルへのサブスクリプション
* 修正: [ombrowser] オンラインサービステキスト入力フィールドがAlt Grキーで壊れる問題
* 修正: [pmp_android] oggファイル転送時のアルバム画像関連のクラッシュ
* 修正: [pmp_android/usb] <Albumartist> に不正な文字が含まれているときに転送が失敗する問題
* 修正: [pmp_p4s] MTP/P4Sデバイスにファイルを転送した後、終了時にハング/クラッシュする問題
* その他: 全てのデフォルトプラグインに含まれるバージョン情報プロパティ
* その他: 一般的な微調整、改良、修正と最適化
* 削除: [gen_orgler] Winampのチャート音楽利用状況データベースの終了
* 更新: [libFLAC] FLAC 1.3.0
* 更新: [png] libpng v1.5.16
* 更新: [gen_jumpex] JTFE v1.2.6
* 更新: [zlib.dll] zlib 1.2.8

Winamp 5.63
* 新規: ハンガリー語とインドネシア語のインストーラ翻訳と言語パック
* 新規: [enc_vorbis] Ogg Vorbis エンコーダ (based on aoTuV)
* 改良: メディアライブラリでの Shift+F10 APPキーをサポート
* 改良: [enc_fhgaac] VBRモード6に加えて、他のマイナーな品質改善を追加
* 改良: [in_mod] リファクタリング、簡略化およびスレッドセーフなメモリ割り当て
* 改良: [ml_history] 終了時の代わりに、更新時に再生カウントを保存
* 改良: [ml_local] 検索クエリのバッファを512か1024から、2048に増加
* 改良: [gen_hotkeys]手動調整と視覚エフェクト操作を追加
* 修正: アルバムアートの埋め込みがいくつかの場面で機能しない問題
* 修正: [aacdec] AACストリームの再同期化時のメモリリーク
* 修正: [bmp] TSCCデコーダの境界チェック
* 修正: [bmp] ヒープオーバーフロー問題 (感謝: Secunia)
* 修正: [in_avi] 0除算とNULLポインタ問題 (感謝: FuzzMyApp)
* 修正: [in_mod] .IT メモリとヒープ破損問題 (感謝: Jeremy Brown, MSVR)
* 修正: [ml_local] MLDBAPI::SetField キャッシュのクラッシュ
* 修正: [pmp_android/usb] ジャンルと西暦メタデータがディスク番号フィールドに書き込まれる
* 修正: [vis_milk2] ローカライズされたインストールで音楽に反応しないプリセット (Milkdrop v2.25)
* その他: 一般的な工夫、改良、修正および最適化
* 更新: [aacdec] Fraunhofer AAC Decoder v1.762.208
* 更新: [in_vorbis] libogg 1.3.0 & libvorbis 1.3.3
* 更新: [lame_enc] LAME 3.99.5
* 更新: [png] libpng v1.5.10
* 更新: [vp8] libvpx v1.1.0
* 更新: [zlib.dll] zlib 1.2.7

Winamp 5.623	[Dec  9 2011]
* 修正: ファイル終端のmp3エンコードエラー
* 修正: [aacdec] 古いエンコーダで作られたAACファイル用のパラメーターのステレオの検知
* 修正: [enc_fhgaac] エラーや転送中止したときに MP4 エンコーダが終了しない
* 修正: [in_flac & in_mp4] メモリリーク
* 修正: [in_mod] .ITコマンドパーサーの範囲チェック
* 修正: [nsavi] 破損aviでクラッシュ
* 修正: [pmp] マルチスレッドの競合条件(現在はスレッドセーフ転送がサポートされています)
* 修正: [pmp_android] 埋めこまれたアルバムアートが転送中に削除される問題
* その他: 一般的な工夫、改良、修正および最適化
* 更新: [enc_fhgaac] Fraunhofer AAC Encoder v3.2.4
* 更新: [gen_jumpex] JTFE v1.2.5

Winamp 5.622	[Oct 26 2011]
* 改良: [in_mp3] アルバムアーティストの代替フレームとして TXXX/Band をサポート
* 修正: [bmp/in_avi] TSCC, RGB と YUV デコーダの整数オーバーフロー問題
* 修正: [enc_fhgaac] 高ビットレートアップサンプリングバグ
* 修正: [in_midi] 音楽オフセットがファイルサイズより大きい場合のCMFファイル中のアンダーラン
* 修正: [in_mod] AMFを最高32本のチャンネルに制限
* 修正: [in_mp3] APE v2タグを持つファイルの再生中に Alt 3 を押下した時のクラッシュ問題
* 修正: [in_mp3] id3v2.4にしかない TDRC (年) フレーム読み込み
* 修正: [in_mp3] タグの更新時にid3v2のTCMPとPRIVフレームを削除しない
* 修正: [in_mp4] ギャップレス再生
* 修正: [in_nsv] 潜在的な整数オーバーフロー
* その他: 一般的な工夫、改良、修正および最適化
* その他: [ml_local] データベースが崩壊する場合の説明のエラー・ページを加えました。
* 更新: [enc_fhgaac] Fraunhofer AAC Encoder v3.2.3
* 更新: [gen_jumpex] JTFE v1.2.4
* 更新: [lame_enc] LAME 3.99

Winamp 5.621	[Jul 11 2011]
* 修正: [libsndfile] PAF 整数オーバーフローバグ (感謝: Hossein Lotfi/Secunia)
* 修正: [ml_local] 非SSEマシンにおける違法命令クラッシュ
* 修正: [ml_rg] 不当に0つの利得値を返すいくつかのファイル
 
Winamp 5.62	[Jun 30 2011]
* 新規: VBR エンコーディング Fraunhofer AAC コーデック対応
* 新規: [theora.w5s] Theora デコーダー for MKV
* 改良: [ml_local] 新たな大きいアルバムアートとアルバムタイトルを隠すオプション
* 改良: [in_mp3/jnetlib/ml_wire] http ステータス 303 と 307 リダイレクション対応
* 修正: [in_midi] 異常なコントローラーチェンジメッセージのバッファオーバーフローをチェック
* 修正: [in_midi] SysEx メッセージ処理整数アンダーフロー脆弱性
* 修正: [in_mod] .IT ファイルの 0 チャネルでクラッシュ (感謝: Luigi Auriemma)
* 修正: [in_mp4] 破損ファイルでのクラッシュ
* 修正: [in_mp4] 不正sttsデータがある mp4 ファイルでのひずみ
* 修正: [jnetlib] https ストリーム接続でのメモリリーク
* 修正: [ml_impex] 再生数のインポート
* 修正: [ml_local] 拡張クエリビルダー
* 修正: [nsvdec_vp5] 整数アンダーラン (感謝: Luigi Auriemma)
* 修正: [pmp_wifi] プレイリスト同期
* 修正: [vis_milk2] 音楽に反応しないいくつかのプリセット (Milkdrop v2.24)
* 修正: [vp6] 特殊なビデオサイズでの再スケーリングでクラッシュ (感謝: Luigi Auriemma)
* 修正: [vp6] 画像サイズが0,0のときのデブロッキングフィルタの整数アンダーラン
* その他: Vista以降では「Winamp 起動時にファイル関連付けを回復する」 のデフォルト設定を「無効」に
* その他: 一般的な工夫、改良、修正、最適化
* その他: SHOUTcast ラジオオンラインサービス ビューの再構築 (new school & classic options)
* その他: CT aacPlusDecoder.w5s 差し替えと新しい FhG aacdec.w5s
* その他: CT enc_aacplus.dll 差し替えと新しい FhG enc_fhgaac.dll
* その他: Firefox 5 互換の新しいツールバー

Winamp 5.61	[Mar 22 2011]
* 改良: [ml_local] 検索と View ロード速度の最適化 (~20% 高速化!)
* 改良: [ml_impex] インポート時の日付解析
* 改良: [ml_plg] 生成されたプレイリストビューでダイレクトマウスホイールのサポート
* 改良: [ml_plg/gracenote] データベースクエリ、バックアップとリカバリの改良
* 改良: [ml_rg] 最大サンプルレートを96000から192000に向上
* 改良: [nsutil] 64ビット浮動小数点 IIR サポートの追加
* 改良: [Installer] 権限が昇格したインストーラからの標準ユーザWinamp起動
* 改良: 自由に回転するホイールマウスのサポート
* 修正: JSAPI2のクラッシュを防止するために、パラメータの正当性チェックを追加
* 修正: 既知の IE9 互換性問題
* 修正: [Bento browser] Freeze when search string is all spaces
* 修正: [Bento/Modern skins] Crash when clicking Notifier if ml_nowplaying missing
* 修正: [gen_ml] アルバムアートとスクロールバーリストビューUI問題
* 修正: [in_flac] 実在しないファイルにメタデータを書きこもうとしてクラッシュ
* 修正: [in_mp3] APEv2 メモリリーク
* 修正: [in_mp3] AAC フレーム長計算のための間違ったビットマスク
* 修正: [in_mp3] 近似フレームの不正報告
* 修正: [jnetlib] httpヘッダ構文解析コードに含まれる潜在的なオーバーフロー脆弱性
* 修正: [ml_local] ファイルのメタデータ編集時にカテゴリを書き込めない
* 修正: [ml_plg] 英語以外のロケールでの強制再ビルドロジック
* 修正: [nde] Winamp 終了時に最大3回mldbが保存される (v2.95/5.0x のバグ)
* 修正: [pmp_android/usb] フォルダ名が <Albumartist> のとき、<Artist> を使用
* 修正: [pmp_ipod] いくつかの iPod モデルの取り出し時のデータベース不正
* 修正: [pmp_ipod] Nano と Shuffle 4G の同期問題
* その他: その他一般的な工夫、改良、修正、最適化
* その他: オンラインヘルプを AOL サイトに移動
* その他: in_mp3 と Bento ファイル情報での SHOUTcast2サポート改良
* その他: [in_flac/in_vorbis] 内部レーティングスケールを 0-5 から 0-100 に変更
* その他: [ml_local] 右クリックメニューの改良 (このビューでトラックを表示)
* Reverted: Milkdrop from v2.23 to v2.2 and AVS from v2.83 to v2.81d (for now)
* 更新: Sonic PrimoSDK CD書き込みエンジン v4.28.06.0
* 更新: [installer] OpenCandy SDK (マルウェアとしていくつかのアンチウイルスにレポートされる問題を修正)
* 更新: [libpng] libpng v1.5.1

Winamp 5.601	[Dec  9 2010]
* 改良: [in_wave/libsndfile] デフォルト拡張子リストに AIF を追加
* 改良: [ml_plg] プレイリスト名の多言語化とコンピレーションの工夫
* 修正: Win2k 互換性 (5.6特有のDLLロード時に引き起こされました)
* 修正: [in_midi] セキュリティ脆弱性 (感謝: Morten @ kryptoslogic)
* 修正: [in_mp3] iTunes のギャップレス再生のための endoffset メタデータクエリ
* 修正: [pmp_ipod] 同期と取り出し問題
* 修正: [pmp_ipod] アルバムアーティストが "Various Artists" のときにコンピレーションフラグ
* 修正: [pmp_wifi] devices.w5s のクラッシュ
* その他: インストーラが非互換なサードパーティ製 gen_lyrics プラグインを無効にする機能
* その他: 一般的な工夫、改良、修正、最適化

Winamp 5.6	[Nov 27 2010]
* 新規: [pmp_wifi] Android Wi-Fi サポート
* 新規: ダイレクトマウスホイールのサポート
* 新規: タグにレイティングを書き込むオプション (for mp3, wma/wmv, ogg & flac)
* 改良: メディアライブラリのデバイス/ポータブルビューの再設計
* 改良: ビデオのコンテキストメニューに新規急造 "垂直フリップ (Shift+F)" オプションを追加
* 改良: [dlmgr/jnetlib] 100,201-206 の http ステータスコードに対応
* 改良: [ml_plg] Playlist Generator: コンテキストメニューダイアログとその他の機能
* 改良: [ml_pmp] 携帯デバイスのためのユーザーに親切なトランスコードオプション
* 改良: [ml_transcode] <disc> と <discs> の命名スキームを追加
* 改良: [nsutil] ビデオフリップモード最適化
* 改良: [pmp_android/ipod] エンコーダブラックリストを追加
* 改良: [ReplayGainAnalysis] いくつかのサンプルレートに対応
* 修正: DLLロード脆弱性
* 修正: [enc_lame] メモリリーク
* 修正: [gen_ff] メインウインドウ、ソングティッカーの送るメニューでのブックマーク追加不正
* 修正: [gen_ml] 最小状態で Winamp を再開した時に ML が空/グレーになる
* 修正: [gen_ml] 大量の項目のスクロール遅延
* 修正: [in_midi] バッファー/整数オーバーフロー問題(感謝: Joakim @ nsense)
* 修正: [in_mod] コメント欄におけるバッファオーバーフロー(MTMセキュリティ脆弱性)
* 修正: [in_mkv] SIZE_MAX バイトちょうどの文字列でクラッシュ
* 修正: [in_mp3] ID3v1 UIの些細な問題, APEv2 + Lyrics3 タグ両立バグ, APEv2 タグ削除
* 修正: [in_mp4] 無効	なMP4ファイルからメタデータ/アルバムアート取得時の潜在的クラッシュ
* 修正: [in_nsv] メタデータのメモリ割り当てにおける整数オーバーフロー
* 修正: [in_nsv] TOC 分析中の整数オーバーフロー (感謝: C. Eiram, Secunia)
* 修正: [in_nsv] ビデオフリップモード誤検出
* 修正: [ml_local] 3ペインビューにおける向きとソート矛盾
* 修正: [ml_plg] プレイリストGeneratorクラッシュとデータベース不正問題
* 修正: [ml_pmp] 空のライブラリでの自動充填クラッシュ
* 修正: [ml_playlists] プレイリストからのドラッグアンドドロップでクラッシュ
* 修正: [ml_transcode] <ファイル名> スキームを使用したときの .cda トランスコーディングでフリーズ
* 修正: [playlist] ファイル名が既に相対的である時の相対パス名
* 修正: [pmp_android/usb] プレイリスト同期と読み込み問題
* 修正: [pmp_android/ipod/usb] プレイリストパスの前置スラッシュ問題
* 修正: [pmp_usb] 複数のUSBデバイス接続後のバグ
* 修正: [vis_milk2] プリセットエディタとフォントのUnicode問題 (5.58-の問題)
* 修正: [vis_milk2] sprites.ini ファイルのルックアップ
* 修正: [vp6.w5s] バッファオーバーフロー問題
* その他: 一般的な工夫、改良、修正、最適化
* その他: ml_devices.dll と devices.w5s で携帯プレイヤー/デバイスのサポートを追加
* その他: スキン/言語パックの場所を変更するかどうか確認するダイアログ
* その他: インストーラから Winamp Remote を削除
* その他: [ml_pmp]「ポッドキャスト同期」を新しいタブの携帯デバイスオプションに移動
* その他: [out_ds] Config now displays 7.1 speakers as '7.1' instead of 'Unknown'
* 更新: Gracenote CDDB/MusicID v2.6.206
* 更新: [gen_jumpex] JTFE v1.2.3
* 更新: [in_vorbis] libogg v1.2.1 & libvorbis v1.3.2
* 更新: [vp8] libvpx v0.9.5

Winamp 5.581	[Jul 12 2010]
* 新規: 7digital mp3 store in Online Services
* 新規: in_mkv の WebM と in_nsv の vp8 デコーダー ビデオサポート
* 新規: [ml_downloads] Podcast と オンラインサービスのダウンロードマネージャーを改良
* 新規: [pmp_android] Android デバイスサポート
* 改良: Win7/Vista のための新規 256x256 アイコン (gen_jumpex でのファイル種別対応時)
* 改良: Win7 タスクバーのための新しい 前へ/再生/一時停止/停止/次へ ツールバーボタン
* 改良: 新しい"垂直フリップビデオ"オプションが古いドライバでの互換性のために追加
* 改良: ビデオ OSD 位置決めとデザイン改善
* 改良: [D3D video renderer] Win7 でのオーバーレイサポート
* 改良: [in_flv] ストリームタイトルメタデータのサポート
* 改良: [in_avi/in_mp3] AVI の MPEG Layer 2 (mp2) オーディオをサポート
* 改良: [in_mp4] MP4 http ストリーミング改良
* 改良: [ml_bookmarks] Unicode ブックマークサポート (winamp.bm8)
* 改良: [ml_history] ポッドキャストのレジューム再生のためのオプション追加
* 改良: [ml_impex] インポート/エクスポート 'パブリッシャー', 'プロデューサー' , 'ディレクター' フィールド
* 改良: [ml_local/in_mp3] ID3V2タグにレーティングを書き込む POPM フレームを追加(w.i.p.)
* 改良: [ml_wire] サブスクリプションビューの様々な工夫
* 改良: [pmp_ipod] 新しくクラシックモデルをサポート
* 修正: 拡張言語フォルダとして常に"en-US"フォルダを見る
* 修正: グローバルキーアクセステーブルの扱い (修正: Ctrl+Alt+N, Ctrl+T, 他)
* 修正: 高解像度時のスクロール問題
* 修正: whatsnew.txt をロードするときのスタックオーバーフロー問題
* 修正: [enc_flac] 圧縮設定 (常にレベル5で出力)
* 修正: [gen_ff] Default fallback font always same as TTF replacement font in Prefs
* 修正: [gen_jumpex] Win7/Vista に関する高度なシェルオプション
* 修正: [gen_ml] モダンスキンでMLを開くときツリーがフォーカスされない
* 修正: [in_cdda] CD情報編集が記憶されない
* 修正: [in_mp4] ある　MP4 ファイルでクラッシュするバグ
* 修正: [in_mp4] ビデオだけのファイル再生
* 修正: [in_mp4] visプラグインが mp4 で機能しない
* 修正: [libmp4v2] Lockup when attempting to play malformed iTMS M4V videos
* 修正: [ml_local] mp3 ファイル情報を更新するとレーティングを失う (5.57-specific)
* 修正: [ml_pmp] pmp_*.dll プラグインが削除されない -> Uninstall
* 修正: [pmp_usb] カードリーダでディスク無しエラーとなる
* 修正: [pmp_usb] xml キャッシュがメタデータを失う (替わりにNDEを使用します)
* 修正: [vis_milk2] 英語以外のロケールでプリセットがロードできない
* 修正: [vp6] 破損コーデックデータでスタックオーバーフローを起こす (Nicolas Joly, VUPEN に感謝)
* その他: より多くのジャンルをファイル情報ダイアログに追加
* その他: いくつかの全般的な工夫、改良、修正と最適化
* その他: いくつかの翻訳修正、更新、ユニコードサポートの改良
* その他: ml_rg 設定を再生のリプレイゲインに移動
* その他: アンインストーラにバンドルアプリとユーザー設定の削除機能を追加
* その他: "Winamp Pro" 設定ページの再設計
* 更新: Gracenote CDDB/MusicID v2.6.205
* 更新: [gen_jumpex] JTFE v1.1
* 更新: [in_vorbis] libogg 1.2.0 & libvorbis 1.3.1
* 更新: [lame_enc] LAME 3.98.4

Winamp 5.572	[Jan 13 2010]
* 改良: [h264.w5s] H.264 デコーダの最適化
* 改良: [in_avi/bmp.w5s] RGB ビットマップ AVI に対応
* 改良: [ml_disc] リッピング変換名前付けでのディスク番号に対応
* 修正: mldb のバックグラウンドスキャン中に Alt+3 エディタの使用でクラッシュ
* 修正: クラシックビデオウインドウのための EasyMove
* 修正: 32ビット PCM ファイルのスペクトラムアナライザーとビートvis
* 修正: [bmp.w5s] BMP AVI コーデックのメモリリーク (tscc, rle, yuv, rgb)
* 修正: [D3D] ビデオの幅を変更するときにビデオがクラッシュ
* 修正: [gen_tray] Win7 ポップアウトトレイのコンパクトモード
* 修正: [in_avi] 破損 RIFF ヘッダ付きのファイルでクラッシュ (0バイトファイルも含む)
* 修正: [in_avi] シークテーブルの無い ix## でクラッシュ
* 修正: [in_mod] 古い .mod ファイルでの Out of memory エラー
* 修正: [in_mp3] ADTS ヘッダの unicode/ansi 問題 (.aac ファイル)
* 修正: [ml_impex] UTF-8 書き込み
* 修正: [ml_local] 入力プラグインがInfo editor の mldb フィールド削除に対応していなかった
* 雑多: Vista と Win7 で報告された高度な問題を修正
* 雑多: インストーラ: 依存するコンポーネントとともに Gracenote をインストール
* 雑多: より一般的な工夫、改良、バグフィックスと改良
* 雑多: 様々な翻訳最新版(補足: フランス語版言語パックを 5.57に更新)
* 更新: [gen_jumpex] JTFE v1.0.7.3
* 更新: libpng 1.4.0
* 更新: libsndfile 1.0.21

Winamp 5.57
* 新規: in_mp4 & in_flv でMPEG-4 ビデオサポート (Winamp Pro 専用)
* 新規: [in_avi] Native AVI ビデオサポート (MPEG-4 = Winamp Pro 専用)
* 新規: [in_mkv] Matroska MKV ビデオサポート (MPEG-4 = Winamp Pro 専用)
* 新規: [ml_addons] 新しいスキンとプラグインを発見するためのブラウザ
* 新規: Winamp 検出プラグイン for IE & Firefox
* 改良: Direct3D ビデオレンダリング
* 改良: Vista と Windows 7 でのファイル拡張子ハンドリング
* 改良: 新規のフルスクリーンビデオOSD
* 改良: 設定にリプレイゲイン増幅制御を追加 (前の .ini 専用)
* 改良: VU メーター (ビート vis) 最適化
* 改良: [gen_ff] マルチスレッド <AlbumArt/> オブジェクト
* 改良: [in_flac/in_vorbis] 出版者としての Organization フィールドタグのサポート
* 改良: [in_flv] FLV ファイルの AAC, aacPlus & ADPCM オーディオサポート
* 改良: [in_mp4] mp4 container の aacPlus パラメトリックステレオサポート
* 改良: [in_nsv] ネイティブ h.264 デコード (Winamp Pro 専用)
* 改良: [in_wave] Unicode ファイル名ハンドリング
* 改良: [ml_history] ポッドキャスト再生での再生オフセットレジューム
* 改良: [ml_local] ビデオのディレクターとプロデューサーフィールド/カラム
* 改良: [ml_local] NDE のクエリ高速化列キャッシュ
* 改良: [ml_online] オプションを右クリックして新しいウインドウでサービスを開く
* 改良: [ml_wire] feed:// pcast:// と winamp:// プロトコルのサポート
* 改良: [ml_wire] 自動的に最新のエピソードをダウンロードするオプション
* 改良: [ml_wire] Podcast ディレクトリビューを再設計
* 改良: [pmp_usb] 保存するプレイリストに設定するパスのオプション
* 改良: [vis_milk2] Milkdrop2 を ns-eel2 使用に更新 (Justinに感謝)
* 修正: in_dshow, flv & swf ファイル名での Alt+3 をカスタム mldb 情報に戻した
* 修正: エレベータインストールと v5.57 における Windows Vista 上の Aero 互換問題
* 修正: Win2000 で発生する HeapSetInfomation が実行できない Kernel32 エラー
* 修正: 特定のユーザ・プロファイルで壊れるシャッフル機能
* 修正: 5.57 で報告された他の様々な問題・バグ・クラッシュ
* 修正: [gen_ml] いくつかのシステムでローカルメディアビューの太字テキスト
* 修正: [gen_tray] コンパクトモードが 64ビットOS で動作しない
* 修正: [in_flac] いくつかの破損ファイルで再生がフリーズする
* 修正: [in_flv] いくつかの flv ファイルでビデオがオーディオよりも遅延する問題
* 修正: [in_flv] 様々な h.263 関連のクラッシュ問題
* 修正: [in_mod] ヒープオーバーフローのセキュリティ脆弱性(yon Balding, Secunia に感謝)
* 修正: [in_mod] いくつかの s3m ファイルのロード時にクラッシュする
* 修正: [in_mp4] トランスコード関連の問題
* 修正: [in_wm] DRMブラウザを閉じた後にブロックしたメインウィンドウとタスクバーメニュー
* 修正: [jpeg.w5s/png.w5s] セキュリティの脆弱性を修正 (Nicolas Joly, VUPEN に感謝)
* 修正: [ml_local] フル再スキャンで破損ファイルを取り除く
* 修正: [ml_wire] 時々破壊される feeds.xml
* 修正: [pmp_p4s] あるデバイスでクラッシュする
* 修正: [vis_avs] いくつかのプリセットでプロパティがロードできないか、クラッシュするコンパイル問題
* 雑多: 改良された Windows7 互換性と Aero サムネイル、タスクバー統合
* 雑多: 一般的な工夫、改良、修正および最適化
* 雑多: 「Winamp について」ダイアログにおける言語パック開発者のための新しい情報ページ
* 雑多: 新しい MPEG-4 ビデオサポートを追加(264.w5s & mp4v.w5s)
* 雑多: nsvdec_vp6.dll を vp6.w5s に名前変更
* 雑多: インストーラから gen_dropbox を当分の間取り除きます
* 雑多: 右クリックから Bento スキンの通知を閉じる
* 雑多: いくつかのキーボードアクセラレータ修正(Ctrl+Alt+Bを追加)
* 雑多: 様々なインストーラ改良(新しい DirectX を含んでいます)
* 更新: aacPlus デコーダー 8.2.2, エンコーダー 8.2.0
* 更新: Gracenote CDDB/MusicID v2.6.101
* 更新: libpng 1.2.40
* 更新: [gen_jumpex] JTFE v1.0.7.1
* 更新: [in_vorbis] libvorbis 1.2.3 & libogg 1.1.4

Winamp 5.56	[Jul  2 2009]
* 新規: Winamp Orgler plugin - トラック・チャートの視聴履歴を共有しましょう
* 改良: [jnetlib] https:// ストリームの再生での新しい SSL サポート
* 改良: [ml_autotag] 曖昧な一致をデフォルトでチェックせず、'不確か'とマーク
* 改良: [ml_local] 新しいバックグラウンド検索
* 改良: [ml_online] 様々な工夫、修正、および増進
* 改良: [ml_pmp] エクスプローラからデバイスプレイリストへのドラッグ＆ドロップのサポートを追加
* 修正: ウィンアンプを通して開かれた後に、ブラウザが閉じたとき終わらない iexplore プロセス
* 修正: EQ プリセット名の保存で名前が重複するバグ
* 修正: [Bento skin] SHOUTcast ホームページ URL を Winamp 検索にリダイレクト
* 修正: [gen_jumpex] 上下ボタンが逆、"現在の曲の再生後に停止"とその他問題
* 修正: [in_mod] .s3m モジュールで発生するクラッシュ (w.i.p.)
* 修正: [in_mod] バックグラウンドトランスコードの再生不調
* 修正: [in_wm] Alt+3形式インフォメーションの小数点問題
* 修正: [in_wm] DRM ライセンス獲得のための埋込IEブラウザ
* 修正: [in_wm] WPL プレイリストファイルの URL 読み込み
* 修正: [in_mp4/libmp4v2] MP4 サンプルサイズの整数オーバーフローバグ
* 修正: [libsndfile] VOCバッファオーバーフロー脆弱性
* 修正: [ml_impex] iTunes XML から "has video" フィールドを読み込む (そしてエクスポート時に書き出す)
* 修正: [tagz.w5s] $right関数が空欄の時に ATF 機能がハングする
* 修正: [vis_avs] msvcp71.dll への依存
* 雑多: front.jpg/gif/etc をアルバムアート基準に追加
* 雑多: より種々雑多な一般的な工夫、改良、修正、および最適化
* 雑多: ml_nowplaying、ml_wite、ml_online に新規の omBrowser.w5s 共有コンポーネント
* 雑多: ディストリビューションからダッシュボード(ml_dash)を削除
* 雑多: 今までインストールされていた ml_org は Winamp リモートパッケージに分離
* 更新: [gen_jumpex] JTFE v1.0.5
* 更新: libsndfile 1.0.20

Winamp 5.552	[Apr 10 2009]
* 修正: [gen_ff] maki スクリプトロード時の memcpy 整数オーバーフロー脆弱性

Winamp 5.551	[Mar  9 2009]
* 修正: [libsndfile] CAF 処理の整数オーバーフロー脆弱性
* 更新: libsndfile 1.0.19

Winamp 5.55	[Feb 27 2009]
* 新規: トルコ語、ポルトガル語(BR)とルーマニア語のインストーラ翻訳と言語パック
* 新規:  *.w5s ファイルのロードが遅い WBM システム
* 新規: [Bento skin] プレイリストタブ (オプション機能)
* 新規: [ml_impex] iTunes互換メディアライブラリのインポート/エクスポートプラグイン
* 改良: [gen_ff] スキンのロード時と切り替え時の高速化とちらつきの解消
* 改良: [gen_jumpex] 新規の'ライブラリに追加'シェルメニュー項目とその他の改良
* 改良: [gen_jumpex] Unicode検索のサポート
* 改良: [gen_ml] リストビューの要素の交互着色に対応
* 改良: [gen_ml] スキン化メニューオプション
* 改良: [in_mod] 実験的な拡張読み込みをサポート (形式変換、CD書込等)
* 改良: [in_mod] スレッドプライオリティに全般再生設定を使用します
* 改良: [in_mp3] APEv2 タグ編集/作成を改良
* 改良: [in_mp3] AAC VBRの瞬間ビットレート表示
* 改良: [ml_local] メディアライブラリー検索は区別的発音符を無視します
* 改良: [ml_local] 新規の 'カテゴリ' と 'ロスレス' データベースフィールド
* 改良: [ml_local] 新しい再生カウント追跡制御オプション
* 改良: [ml_local] トップレベルフィルタに新規 '再生/プレイリストに追加してランダム化' 項目を追加
* 改良: [ml_online] 新しいツールバー、他の様々改良と最適化
* 改良: [ml_online] サードパーティサービスのサポート
* 改良: [vis_milk2] ピクセルシェーダー 2.0 & 3.0 対応の改良
* 改良: [vis_nsfs] 再生中トラックのUnicodeタイトル表示
* 改良: [Winamp Agent] 多言語対応
* 改良: [Winamp Modern skin] 新規のスペクトラム視覚エフェクトオプション
* 修正: Alt+3 ダイアログのフォーマット情報文字列の操作性の向上
* 修正: Alt+3ダイアログでの自動タグ機能でジャンルが保存されない
* 修正: in_mp3, in_wm, gen_dropbox, ml_local, ml_pmp & tagz.w5s のメモリリーク
* 修正: 統計のレポートが有効の時、新しいバージョンチェックを無効にできない
* 修正: 視覚エフェクトウィンドウを閉じるときの希なクラッシュ
* 修正: 視覚エフェクトプラグインの開始・停止・切り替えなどいくつかの問題
* 修正: [Agent] 'Winamp で再生' シェルオプションを取り除くと、システムトレイアイコンを表示しない
* 修正: [enc_flac] 24-bit FLAC エンコーディング
* 修正: [gen_jumpex] シェルオプション、Bホットキー、送るメニューとその他バグ
* 修正: [gen_ml] ライブラリボタンのリサイズ不良
* 修正: [in_cdda] cddbディスクの潜在的な null ポインタクラッシュ
* 修正: [in_flac] アルバムアーティストの削除時にアルバムアーティストとアンサンブルのフィールドがクリアされない
* 修正: [in_flac] メタデータの更新時にトラックを再開する
* 修正: [in_mp3] ID3v2.0/2.1 の潜在的なクラッシュ問題
* 修正: [in_mp4] 空のジャンルメタデータフィールド(flacからm4aへの変換時など)
* 修正: [in_mp4] 低速ネットワークドライブでの長いハング
* 修正: [libsndfile] AIFFバッファオーバーフロー脆弱性 (milw0rm/secunia に感謝します)
* 修正: [ml_disc] 終了時の潜在的クラッシュ
* 修正: [ml_disc] '大文字ファイル拡張子を使用' が効かない問題
* 修正: [ml_history] 再生を停止後にも指定再生時間を満たしたと判断してトラッキングする問題
* 修正: [ml_local] ローカルメディアでの「プレイリスト作成」ボタン機能の破損
* 修正: [ml_local] 古い/不正なデータベースや破損ファイルは削除する
* 修正: [ml_wire] ダウンロードビューの列が時々非表示となる
* 修正: [ml_plg] 複数の '初期化に失敗' エラーメッセージ
* 修正: [ml_pmp] P4S携帯機器からプレイリスト/ファイルを削除するときのクラッシュ
* 修正: [ml_pmp] メタデータフッキング、トランスコーダ、オートフィル、および他のバグフィックス
* 修正: [nde] Albums with % in title not displaying tracklist in local media views
* 修正: [out_ds] 対数音量制御dB表示の不正
* 修正: [pmp_ipod] データベースからの実在しないファイルの削除
* 修正: [pmp_ipod] 再生カウント情報の読み取り
* 修正: [pmp_ipod] データベース、アルバムアート、再生、および切断問題
* 雑多: 種々雑多な一般的な改良、修正、および最適化
* 雑多: ヘルプメニューの「フィードバックを送信」という新しい項目
* 雑多: 変更されたMLデータベースには後方互換性が無くなりました
* 雑多: 古い Milkdrop のプリセットを取り除いて、新しいプリセットを追加
* 雑多: in_mp3 と in_snd のデコーダを vlb.w5s nsvdec_vp3.dll に切り離す
* 雑多: gen_ff のタイマーを timer.w5s に切り離す
* 更新: Gracenote CDDB/MusicID v2.6.0.6
* 更新: libpng 1.2.35
* 更新: Sonic CD書き込みエンジン v4.10.32.502
* 更新: [gen_jumpex] JTFE v1.0.4
* 更新: [in_mp3] Fraunhofer デコーダ v4.3
* 更新: [lame_enc] LAME 3.98.2
* 更新: [vis_avs] AVS v2.82

Winamp 5.541	[Aug  4 2008]
* 改良: [pmp_ipod] iPod新モデルの自動検出改善
* 修正: 設定を変更してもエクスプローラ上のアイコンが更新されない
* 修正: MLおよびVisが他のモダンスキンウィンドウの下に表示される
* 修正: 読み取り専用ファイルのメタデータを編集しようとした場合にエラーが表示されない
* 修正: NowPlayingにおける潜在的なセキュリティ脆弱性
* 修正: [gen_ff] モダンスキンプレイリストのwindowshadeモードにおけるキーボードショートカット
* 修正: [gen_ml] アルバムアートの領域を一番下までスクロールするした場合およびその他のスクロールバー問題
* 修正: [in_mp3] "307 - Temporary Redirect" URLの問題
* 修正: [ml_local] アルバムアートアイコン選択の問題
* 修正: [ml_playlists] "Enqueue" がデフォルトに設定されている場合、"Play" と "Enqueue" の動作が逆になる
* 修正: [ml_rg] 20ビットのファイルのReplayGain分析
* 雑多: Modern pledit songtickerダブルクリック時、windowshadeモードを再度切り替える
* 雑多: その他多くの調整、改良、修正および最適化

Winamp 5.54	[Jul  8 2008]
* 新規: 日本語、中国語、韓国語のインストーラ翻訳と言語パック
* 新規: [in_swf] Adobe Shockwave Flash (SWF, RTMP) 再生サポート
* 新規: [gen_dropbox] Winamp DropBox alpha (use: Ctrl-Shift-D)
* 新規: [Online Services] AOL Radio featuring CBS Radio (requires in_flv)
* 改良: プレイリストのメタデータをバックグラウンド読み込みするオプション
* 改良: Classic songticker scrolling for Winamp Modern skin pledit winshade
* 改良: Vistaにおける向上 (fixes: installing skins, filetype reg, Pro reg)
* 改良: プレイリスト項目番号のゼロパディングオプション
* 改良: [in_flv] ストリーミングのサポート向上とその他の改良
* 改良: [in_mp3] APEv2タグオプションを設定に追加
* 改良: [in_mp3] 既存のAPEv2ヘッダの保持
* 改良: [ml_disc] Data CD Readerのアートワークサポート
* 改良: [ml_disc] コピー処理進捗の検出を向上
* 改良: [ml_disc] 改良 start times if ml_disc view is active
* 改良: [ml_local] 'Show Info' パネルの再デザイン
* 改良: [ml_nowplaying] Redesigned 'Now Playing' artist experience
* 改良: [ml_playlists] プレイリストの分類をソートする右クリックオプション
* 改良: [pmp_usb] Connect/Disconnect/Blacklist 設定オプション
* 修正: Alt+F4 で、個々のダイアログではなくWinampを閉じる
* 修正: Bento browserが、ネットワークドライブのURLをWinamp Searchにリダイレクトする
* 修正: docked toolbar modeまたはWinampを最小化した場合の空のプレイリスト
* 修正: Alt+Tabを使用するとモダンスキンコンポーネントウィンドウが個別に現れる
* 修正: システムトレイに最小化した状態で閉じた場合、スタートアップ時にちらつく現象
* 修正: Pure Virtual Function Callランタイムのクラッシュエラー
* 修正: Redraw issue when built-in classic vis is disabled
* 修正: 多くのマルチモニタードッキング問題
* 修正: 多くの5.53固有のキーボードアクセラレータ問題
* 修正: [Bento] ファイルを開くダイアログからプレイリストへのドラッグ＆ドロップ
* 修正: [burnlib] 'CD Drive locked by another Winamp process' on 2nd burn attempt
* 修正: [burnlib] 'Burner releasing failed' error
* 修正: [dsp_sps] 設定ヘルプダイアログが開いている間に閉じるとクラッシュ
* 修正: [enc_flac] MD5チェックサム生成
* 修正: [gen_ff] Modernスキンノーマルモードのwinshade上で付属visプラグインがクラッシュ
* 修正: [gen_hotkeys] 既に使用されているCtrlキーとの組み合わせを割り当ててしてしまう
* 修正: [gen_ml] MLツリービュー項目の Enter/Shift+Enter の欠陥 (5.53-specific)
* 修正: [in_cdda] CDDBデータをデータベースに保存する際の Composer/Conductor ロジックのバグ
* 修正: [in_flac] マイナーなメタデータ書き込みバグ
* 修正: [in_midi] Streamed playbackモードで 'DM/MS Synth' を使用する場合のシーク
* 修正: [in_mp3] 無効または不正なギャップレスデータを含むファイルでクラッシュ
* 修正: [in_mp3] 新規ID3v1/v2タグ作成設定
* 修正: [in_vorbis] 大きな埋め込みカバーアートを含むファイルの大きなラグ
* 修正: [in_vorbis] Metadata & Format Info display for streams in View File Info
* 修正: [in_vorbis] Unicodeに関する開く・閉じるの潜在的クラッシュ問題
* 修正: [jpeg.w5s] 無効なアルバムアートの保存
* 修正: [ml_autotag] AOTが有効な場合にリザルトダイアログがWinampの下に隠れる
* 修正: [ml_disc] 小さなリソースリーク
* 修正: [ml_playlists] 巨大なプレイリストに項目をドラッグする場合の自動スクロールに問題
* 修正: [ml_playlists] MLプレイリスト項目を選択した際の Enter/Shift+Enter に問題
* 修正: [ml_playlists] 項目のドラッグ＆ドロップの際に重なっている外部ウィンドウの扱い
* 修正: [ml_playlists / ml_transcode] Sending playlists from ML tree to Transcoder
* 修正: [ml_wire] Vistaにおいて、有効なRSSフィードが404またはタイムアウトする
* 雑多: その他のローカライズの調整、修正、更新
* 雑多: その他の調整、改良、修正、最適化
* 雑多: セットアップの修正 (Agent not always starting, WLZ filetype not registering, etc)
* 雑多: その他の様々な 'Winamp Modern' および 'Bento' スキンのアップデート
* 雑多: [enc_flac] Flakeの代わりにlibFLACを使用してエンコード
* 更新: Bento skin v1.2
* 更新: freetype 2.3.7
* 更新: libpng 1.2.28
* 更新: [enc_lame] LAME 3.98

Winamp 5.531	[Apr  1 2008]
* 修正: Bento browserが一部のURLをWinamp Searchにリダイレクトする
* 修正: Bentoの折りたたみ/伸張ボタンのバグ
* 修正: 最近使ったURLが保存されない (5.53-specific)
* 修正: Classic playlistにおける選択トラックのトータルタイム表示 (5.53-specific)
* 修正: [jnetlib] AOL Radioのスキップ/バッファ問題
* 修正: [ml_local] 3ペインビューにおいて、全ての項目を右クリックで演奏/キューに追加する際の問題
* 修正: [ml_playlists] 右クリックのコンテキストメニュー項目の乱れ (5.53-specific)

Winamp 5.53	[Mar 28 2008]
* 改良: 関連づけされたファイルの種別表示をファイルタイプごとに用意
* 改良: Cover Art Downloaderダイアログに 'Refine Search' 項目
* 改良: システムロケールと互換性がない言語パックのためのUnicodeサポート
* 改良: [in_cdda] NDEデータベースに対するCDデータの読み込み＆書き込み
* 改良: [in_cdda/ml_disc] simple offline CD Info Editorの再実行
* 改良: [in_flac] FLACメタデータギャザリングの高速化
* 改良: [in_mp3] より正確な .AAC の長さの計算
* 改良: [in_wav/in_mp4] 2GBより大きなファイルのHTTPストリーミングをサポート
* 改良: [ml_disc] データCDの読み込みサポート追加 (w.i.p.)
* 改良: [ml_local/nde] バックグラウンド検索とデータベースの最適化
* 改良: [ml_local] ファイル名ベースのメタデータ解析をUnicode対応
* 改良: [ml_transcode] 変換先ファイルパスからピリオドの列を取り除く
* 改良: [pmp_usb] AlbumArtistの命名規則を追加サポート
* 修正: モダンスキンでswitch->minimize->restore選択後にClassic EQが現れる
* 修正: Album Artに関連する雑多な問題
* 修正: [enc_lame] マルチチャネルで48KHzより大きなソースファイルを拒否する
* 修正: [gen_ff] スキン画像読み込みの解釈
* 修正: [gen_ml] Windows 2000の下でのヘッダソートの矢印とRatingカラムの表示
* 修正: [gen_ml] changing viewsの描画における雑多な問題
* 修正: [in_cdda] 特殊な接続条件の下で発生するCDDBクラッシュ問題
* 修正: [in_cdda] アナログMCI再生モードのSpectrum vis
* 修正: [in_flac] FLACメタデータ書き込みの際の小さなメモリリーク
* 修正: [in_flv] FLV動画の最後の2秒のカットオフ
* 修正: [in_mp3] 不正なID3v2バージョンに遭遇した場合にクラッシュ (e.g. ID3v2.F)
* 修正: [in_mp4] バックグラウンドデコード中のfile-not-foundでクラッシュ
* 修正: [in_wave] 削除されたファイルのリピート再生を試みた場合に無限ループ
* 修正: [in_wm] ASX v2読み込み
* 修正: [in_wm] ファイルとストリームを非連続的に大きく移動するとクラッシュ
* 修正: [in_wm / out_ds] 'Status' をクリップボードにコピーした場合のUnicodeバグ
* 修正: [ml_autotag] 特定のトラックでクラッシュ
* 修正: [ml_history] 全てのHistory項目をプレイリストにドラッグ＆ドロップでクラッシュ
* 修正: [ml_local] Unicodeファイル名の項目のRating
* 修正: [ml_online/orb] Nodes dropping to bottom of ML tree on Lang Pack change
* 修正: [ml_playlists] Media Libraryのmain menu項目のプレイリスト再生
* 修正: [pmp_ipod] iPod Music Quiz v2とのファイル名の長さの非互換性
* 修正: [pmp_ipod] Edit Queryダイアログの 'Advanced' ボタンの消失
* 修正: [pmp_ipod] 再生中ファイルの物理的な削除
* 雑多: インストーラのロシア語翻訳と言語ファイル追加
* 雑多: Online ServicesからIn2TVを削除
* 雑多: NSIS Unicode versionを使用したインストーラの新規ビルド [thanks Jim Park]
* 雑多: 多くの雑多な調整、改良および最適化
* 雑多: 共有圧縮ライブラリ zlib.dll を winamp.exe の外に移動
* 更新: Bento skin v1.1 #120

Winamp 5.52	[Jan 15 2008]
* 改良: enc_*.dll オーディオエンコーダの Unicode ファイル名サポートの改善
* 改良: [ml_transcode] Unicode ファイル名のサポート
* 改良: [in_mp3] APEv2 タグサポート
* 改良: [in_flac] BPM メタデータの reading/writing をサポート
* 改良: [nde] mldbクエリリザルト高速化のための最適化
* 改良: [vis_milk2] Intel オンボードグラフィック上でのピクセルシェーダの動作
* 修正: File Editor の Basic Info タブ内の Comment フィールド文字の制限
* 修正: Playback Thread Priority のスライダを中央にセットすると "Lowest" に初期化される
* 修正: [in_mp3] Ultravox streaming メタデータを処理する際にスタックベースのバッファオーバーフローが発生するセキュリティ脆弱性 (Thanks: Secunia)
* 修正: [in_mp4] 実在しないファイルを再生しようとするとクラッシュ
* 修正: [in_vorbis] File Info において既存のメタデータフィールドをクリアするとクラッシュ
* 修正: [in_wave] 浮動小数点 WAV ファイルのトランスコード
* 修正: [ml_transcode] メモリリーク
* 雑多: より多くの全般的な調整と改良
* 更新: Bento skin #118

Winamp 5.51	[Dec 19 2007]
* 新規: Windows XP/Vista上のMP3・ビデオCD用オーディオ自動再生処理
* 新規: Windows Vista上のインストール時に規定のプログラムに設定する機能
* 新規: "Constant-Q Equalizer" EQタイプ設定と "ISO Standard frequency bands" 周波数設定
* 新規: [in_flv] Flash Videoデコーダ搭載 (VP6のみ、H.263非対応)
* 改良: ブラウザダウンロードマネージャはCDリッピング先フォルダを使用
* 改良: File InfoのArtworkタブから埋め込みalbum artを削除
* 改良: より正確に翻訳された言語ファイル
* 改良: より多くのUIおよびダイアログの調整と改良
* 改良: modern songtickerにおいて、スクロールするピクセル数の設定
* 改良: [Gracenote/MusicID] エラーチェックの改良とメモリキャッシュの最適化
* 改良: [gen_ff] より多くのfreeform skinning engineの最適化
* 改良: [gen_hotkeys] media keyにおける WM_APPCOMMAND サポートの追加
* 改良: [gen_hotkeys] カレントトラックのレーティング増減機能追加
* 改良: [in_dshow] デフォルトに設定されていないビデオ形式の長さとビットレート読み込み
* 改良: [in_flac] 最適化されたディスクキャッシュによりパフォーマンス向上
* 改良: [in_mp3] Pentium Pro/2/3 のためのより良い最適化
* 改良: [in_mp3] TPE2 が読み込めない場合の ALBUM ARTIST 読み込みをサポート
* 改良: [in_mp4] Unicodeサポート改善とメタデータ読み込みの最適化
* 改良: [in_mp4] 最適化されたディスクキャッシュと読み込み
* 改良: [in_vorbis] DATE が読み込めない場合の YEAR フィールド読み込みをサポート
* 改良: [ml_disc/in_cdda] ディスク読み込みの調整とその他の主要な最適化
* 改良: [ml_history] 新しいtracking controlオプション
* 改良: [ml_local] BPMカラムを追加
* 改良: [ml_local] Albumカラムをソートするロジックを改良
* 改良: [ml_local] playlist取り扱いの改善
* 改良: [ml_local] track# メタデータ推測の最大値を130から999に
* 改良: [ml_local] データベースクエリとメモリの最適化
* 改良: [ml_pmp] エクスプローラからポータブルデバイスビューへのドラッグ＆ドロップをサポート
* 改良: [ml_transcode] 削除プロンプトの変換を中止
* 修正: .nfo ファイルのファイル名にピリオドが含まれる場合、Artworkが見つからない
* 修正: ASX Parserが .asx プレイリストの全てのリンクを大文字に変換する
* 修正: Classic songtickerの周回問題
* 修正: リサイズ後のsongtickerのドラッグとスクロール
* 修正: 言語ファイル変更時にグローバルホットキーリストが壊れる
* 修正: Gracenote CDDB Editorのgenre選択の不具合
* 修正: Gracenote/MusicIDがWinampのproxy設定を使用しない
* 修正: ansi ASXプレイリストに標準でない文字が格納されている場合のParsing
* 修正: 最小化された状態で閉じられた場合のシステムトレイからの復元
* 修正: セットアップ時にデスクトップアイコンがリセットされる :-o
* 修正: 一部のサードパーティ製input pluginにおいて、Spectrum visの非互換性によりクラッシュする
* 修正: Winamp Modernのwinshade時のsongtickerにおけるTruetype代替フォントのアライメント
* 修正: 様々なキーボードショートカットの問題
* 修正: Winamp Agentのレジストリエントリのtypo (wianmpa.exe)
* 修正: [Bento] 壊れた、または膨張したプレイリストにおいて、'Show Album Art' 設定が尊重されない
* 修正: [gen_ff] 性能の高いCPUを使用した場合のsongticker object
* 修正: [gen_ff] Truetype代替フォントの変更がリアルタイムで反映されない
* 修正: [gen_hotkeys] ダイアログを開いている場合に最小化状態から復元する
* 修正: [gen_ml] 最小化状態から再起動した場合にMLが空になる
* 修正: [gen_ml] Online Media password promptをキャンセルすると、passwordとfiltersがクリアされる
* 修正: [in_dshow] 一部のMPEGビデオの長さを正しく計算しない
* 修正: [in_flac] 不正なファイルでゼロ除算が発生しクラッシュする
* 修正: [in_mp3] Alt+3 EditorでLyrics3タグを削除するとID3v1タグまで削除される
* 修正: [in_mp3] version/revisionが劣悪なID3v2の扱い
* 修正: [in_mp3] ID3v2一部のMP3のparsingでクラッシュ
* 修正: [in_mp3] ID3v1の読み込みを無効にしていると、ID3v2タグが表示されない
* 修正: [in_mp3] 大きなID3v2タグを持つファイルをAlt+3で開くとMPEG Infoが表示されない
* 修正: [in_mp3] 一つ以上のID3v2タグがある場合、最初のタグのみを読み込む
* 修正: [in_mp3] 不正なMP3ファイルを読み込んだ場合にWinamp UIがフリーズする
* 修正: [in_mp4] MP4コンテナに入ったMP3の演奏
* 修正: [in_mp4] 一時停止した際のシーク
* 修正: [in_mp4/jpeg.w5s] Artフィールドがメタデータで埋め込みartが無い場合にクラッシュ
* 修正: [in_vorbis] UTF8->UTF16 最適化 (fixes File Info delay bug)
* 修正: [libmp4v2] 不正なm4aが演奏されない。修復されたファイルの処理は改善
* 修正: [ml_autotag] ディスクに存在しないトラック番号でクラッシュ。例えばインターネット配信のみの曲など
* 修正: [ml_autotag] 別のml viewに切り替えた場合にプロセスが停止する
* 修正: [ml_disc] ディスクを取り出したり挿入した場合にCD view/titlesが更新されない
* 修正: [ml_disc] プレイリストファイル名の生成で無効な文字が使用された場合にクラッシュ
* 修正: [ml_disc] 特定の設定下ではBurnボタンが無い
* 修正: [ml_disc/ml_pmp/ml_transcode] 目的フォルダパスの#の処理
* 修正: [ml_local] Yearでソートした場合のArtistカラムの降順
* 修正: [ml_local] Searchフィールドにおいて、DownキーがSimple View listをフォーカスしない
* 修正: [ml_local] Last 更新、Album GainおよびPodcastカラムのソート順
* 修正: [ml_local] Simple viewsのEdit Viewにおいて、二つのフィルタが常にチェックされている
* 修正: [ml_playlists] playlistに追加するShift+Enterホットキー
* 修正: [ml_plg] Playlist Generatorのスキャン中止またはデータベースのリセットでクラッシュ
* 修正: [ml_pmp] カラムのソート順
* 修正: [ml_rg] 最小化状態からの復帰でrg results dialogが開く
* 修正: [ml_transcode] 最小化状態からの復帰でconfig dialogが開く
* 修正: [ml_wire] <title> がキャリッジリターン文字を含む場合にPodcastsがダウンロードされない
* 修正: [ml_wire] <description> フィールドに遭遇した場合にロックアップする
* 修正: [out_disk] 出力フォルダを、常に My Documents\My Music に初期化する
* 修正: [pmp_ipod] 'Add album art' オプションが常にチェックされている
* 修正: [tataki] invalid/superficial errorに遭遇した場合の潜在的なクラッシュ問題
* 修正: [vis_milk2] フルスクリーン表示を終了してモダンスキンに戻った場合のクラッシュ
* 雑多: Alt+3 Auto-TagがGracenote FileIdとExtDataフィールドを保存
* 雑多: StereoインジケータのダブルクリックでPlayback設定が開く (Bento & Modern skins)
* 雑多: Win9xへのインストールを防止
* 雑多: Milkdrop2をデフォルトのvisプラグインに設定
* 雑多: Playback設定を三つのタブに分割：Playback, Equalizer & Replay Gain
* 雑多: 多くのインストーラセットアップおよびローカライズ用の調整
* 雑多: Bentoスキンの雑多なバグフィックス、調整、改良
* 雑多: 多くのWinamp Modern skin 5.5リリース後の改良
* 雑多: [ml_local] 非推奨オプション 'Show album gain values' をオプション設定から除去
* 更新: Bento skin #117
* 更新: Gracenote MusicID/CDDB v2.5.1
* 更新: libpng 1.2.22
* 更新: [vis_milk2] MilkDrop 2.0c

Winamp 5.5	[Oct  9 2007]
* 新規: Bento SingleUI Skin
* 新規: ファイル情報ダイアログで自動でタグ設定 (powered by Gracenote)
* 新規: Album Artのサポート, モダンスキンの新規ウインドウを含む
* 新規: 完全な翻訳が可能なローカライズのサポート
* 新規: WLZ (Winamp Language Zip) 形式のファイルをサポート
* 新規: グローバルなデコーダ演奏スレッド優先度設定
* 新規: メディアモニターとMP3 Blogサイトのスクラップ機能 (in Bento browser)
* 新規: 指定した行にプレイリストをスクロールするオプション
* 新規: プレイリストで項目番号を非表示にするオプション
* 新規: タスクバーの項目番号を非表示にするオプション
* 新規: インストーラの再設計
* 新規: Winampの再設定を行う起動時オプション winamp.exe /REG=S
* 新規: Artworkタブを用意した統一ファイルエディタ (for mp3, m4a, wma, ogg, flac)
* 新規: ドロップダウンセレクタと検索機能が付いたVersion History (in About dialog)
* 新規: Internet Explorer用のWinamp Toolbar (optional)
* 新規: タイトル拡張書式 %family% によるファイルタイプの判別
* 新規: $split() ATF function for splitting x/y disc & track strings
* 新規: [in_mp3] マルチチャンネルMP3サラウンドをサポート
* 新規: [gen_ml] Media Library設定のTree Optionsタブ
* 新規: [ml_autotag] Send-Toメニュー内の複数自動タグ機能 (powered by Gracenote)
* 新規: [ml_local] 'Add/Edit View' ダイアログの3ペインビュー
* 新規: [ml_local] Smart Viewプリセット
* 新規: [ml_local] Album Artのサポートと復元サービス
* 新規: [ml_local] control viewオプションのツールバーボタン
* 新規: [ml_plg] Winamp Playlist生成機能 (powered by Gracenote MusicID)
* 新規: [ml_pmp] 新規フィールドとしてconfigurable filterペインおよびカラム、3ペインビュー
* 新規: [ml_pmp] iPodおよびPlaysForSureデバイスにおけるAlbum Art表示とサポート
* 新規: [ml_pmp] ビデオファイルのセパレートビュー
* 新規: [vis_milk2] Milkdrop2 Visualizer
* 改良: 標準UI/Dialogの修正と改良
* 改良: 旧スペクトラムアナライザの再チューンと最適化
* 改良: マルチチャンネルファイルにおけるモダンスキンのサラウンドインジケータ
* 改良: 旧Songtickerオプションをモダンスキンにも適用 (via Config drawer)
* 改良: [in_cdda] Conductor metadata support
* 改良: [in_cdda] 複数ディスクの取り扱い
* 改良: [in_flac/in_vorbis] ALBUM ARTISTとENSEMBLE読み込みサポート
* 改良: [in_flac] 拡張エディタモード
* 改良: [in_mod] 256以上のサンプルを追加サポート
* 改良: [in_mp3] メタデータ収集の高速化 (also speeds up ReplayGain scan)
* 改良: [in_mp4] visへの円滑なデータ転送とその他マイナーな調整
* 改良: [in_wm] WMA/WMVメタデータ収集の高速化
* 改良: [gen_ff] 標準フォームエンジンの最適化
* 改良: [gen_ml] ツリービュー開閉時の項目の復元
* 改良: [gen_ml] 新しいモダンスキンのMedia Libraryにおけるスクロールバースキン
* 改良: [gen_ml] ツリービュー項目の再要求 (via drag+drop)
* 改良: [ml_disc] Unicodeサポートの改良とその他の雑多な調整
* 改良: [ml_history] Unicodeサポート
* 改良: [ml_local] top filterペインのカラムメニューカスタマイズ
* 改良: [ml_local] topペインの横スクロールバー表示オプション
* 改良: [ml_local] 新規 'Podcasts' ビュー (appears after downloading a podcast)
* 改良: [ml_local] ISPODCASTおよびPODCASTCHANNELフィールド名の追加
* 改良: [ml_local] Added BEGINSLIKE comparison operator
* 改良: [ml_local] Dragging of headers to sort column order
* 改良: [ml_local] Smart Viewエディタの再設計
* 改良: [ml_local] レーティング表記と選択
* 改良: [ml_pmp] 'Copy to Local Media' config separated from CD Ripping settings
* 改良: [ml_pmp] Portables "Sync" can now keep podcasts 更新
* 改良: [ml_rg] サンプルレート64、88.2、96 KHzのリプレイゲイン計算をサポート
* 改良: [ml_wire] 新しいPodcastのダウンロードをサポート
* 改良: [ml_wire] メニューその他の機能において、複数選択 'Send To' をサポート
* 改良: [ml_wire] Podcastをchannelサブフォルダにダウンロードして保存
* 改良: [ml_wire] Podcastディレクトリのアップデート
* 改良: [pmp_ipod] 新しいiPodのpodcastメニューが利用可能
* 修正: ファイルを開くダイアログで、サポートされた全てのファイルが表示される
* 修正: About BoxのCreditsまたはWinampタブでEscキーが機能していない
* 修正: エクスプローラのコンテキストメニューからファイルを開く際に、長いパスの扱いが正しくなかった
* 修正: 大きなDPI設定の場合のpreferenceページのサイズオーバー
* 修正: 複数インスタンス起動時のバグの再発 (previously 修正 in 5.3)
* 修正: Selecting 'No' for 'Physically Remove' prompt removes playlist/mldb item
* 修正: ビデオウインドウのTVボタンが機能していない
* 修正: 最小化状態でモダンスキンからクラシックスキンに切り替えた場合のウインドウ表示
* 修正: [ASX Loader] 再帰的なプレイリスト読み込みと上手く行かない場合がある属性のマッチング
* 修正: [ASX Loader] REPEATタグに埋め込まれたエントリの取り扱い
* 修正: [dsp_sps] DEPの非互換性
* 修正: [gen_ff] スキン切り替え時の "Can't unload script while in script" エラー
* 修正: [gen_ff] モダンスキンとクラシックスキンを切り替えた場合のMLサイズ復元
* 修正: [gen_ff] alpha-blendingを使用するスキンのための透明ツールバー
* 修正: [gen_ff] 10% opacity not applying on skins that add items to rt-click menu
* 修正: [gen_jumpex] エクスプローラのコンテキストメニューから複数ファイルを読み込んだ際のクラッシュ
* 修正: [gen_jumpex] pleditにおいて重複エントリを削除する際の処理が劣悪
* 修正: [gen_ml] MLからpleditにコメントをD&Dする際の %playcount% 呼び出し
* 修正: [gen_ml] Shift+Insert (New Playlist) and F1 (Help) keyboard shortcuts
* 修正: [in_cdda] 2つめのインスタンスでCDをripする際のCDDBクラッシュ
* 修正: [in_flac] 汎用FLAC Editorの挙動 (Comments field, Enter key, etc)
* 修正: [in_flac] 'Allow 24bit' 設定が無効な場合に24bitファイルを演奏しない
* 修正: [in_mod] Fadeout value goes below 0.0 sec in in_mod config
* 修正: [in_mod] 改ざんされた 'division by zero' クラッシュバグ
* 修正: [in_mp3] ID3v2拡張ハンドラが不正な一部のMP3ファイルでクラッシュ (rare)
* 修正: [in_mp3] Crash on loading corrupt id3v2.3 tags of a later revision
* 修正: [in_mp3] 長いMP3ファイルでFile Infoに負のビットレートが表示される
* 修正: [in_mp4] playing track上でメタデータが更新された場合の問題
* 修正: [in_mp4/libmp4v2] メモリリーク
* 修正: [in_wave/libsndfile] 無効な .au ファイルでクラッシュ
* 修正: [in_wm] Garbage characters when editing filetypes in config
* 修正: [in_wm] 潜在的なDRMロックアップ問題
* 修正: [ml_disc] リッピング後に0バイトの一時ファイルが削除されない
* 修正: [ml_disc] Rip & Burn時にドライブアイコンをダブルクリックしてもツリー項目が選択されない
* 修正: [ml_disc] プレイリストファイル名生成時に <trackartist> を使用するとクラッシュ
* 修正: [ml_disc] Audio CDビューからプレイリストエディタへのドラッグドロップ
* 修正: [ml_local] (no album) items adding to Album count in Artist pane
* 修正: [ml_local] isempty and =0 queries now return same results
* 修正: [ml_local] 'Watch Folders' にフォルダを追加した場合のパスが64文字で途切れる
* 修正: [ml_pmp] mp4/aacに変換した場合にファイル名にextra periodが挿入される
* 修正: [ml_pmp] Unicodeに変換されないままtitleが送信される
* 修正: [ml_pmp] Artist metadataが空の場合の転送キャプション作成
* 修正: [ml_wire] 寄付金申し込み設定が常に 'Never' にリセットされる
* 修正: [pmp_ipod] 最新バージョンの iTunes に対する潜在的な非互換性問題
* 修正: [pmp_p4s] 一部のPlaysForSureデバイスへの転送時の 'Error In Insert'
* 修正: [pmp_usb] 外付けUSBドライブ接続時のWinamp起動の遅さ
* 修正: [vis_milk] Milkdrop DEP非互換性
* 雑多: Winamp Remote is now an installer option (ml_orb.dll)
* 雑多: drawing engineをgen_ffからtataki.dllに移動
* 雑多: freetype fontレンダラをgen_ffからfreetype.wacに移動
* 雑多: 削除された重要でない .LNG 言語ファイルサポート
* 雑多: 削除された db.w5s (replaced by new Gracenote database system)
* 雑多: 削除されたStation Info windowとPrefs page
* 雑多: Win9xのサポートを正式に終了し、unicows.lib/dllを削除
* 更新: Gracenote MusicID/CDDB v2.5
* 更新: libpng 1.2.20
* 更新: [enc_aacplus] Coding Technologies aacPlus Encoder v8.1.0
* 更新: [gen_jumpex] JTFE v0.99.2
* 更新: [in_flac] FLAC 1.2.1
* 更新: [in_mp3] FhG Decoder v4.10
* 更新: [in_vorbis] libvorbis 1.2.0

Winamp 5.35	[May 10 2007]
* 改良: コア部分の文字列とダイアログの一般的な翻訳をサポート
* 改良: WinXP以降のタブ付きダイアログにおけるテーマ適用が正確に
* 改良: 多くの雑多な調整/改善
* 修正: UIと設定画面における多くのタブ関連修正
* 修正: [in_cdda] 英語以外の文字を含むユーザーパスでCDDBがクラッシュ
* 修正: [in_cdda] Sonic Engineを使用したmix CDのギャップレス再生
* 修正: [in_flac] Flac EditorのGenreフィールドが切れてしまう
* 修正: [in_mp3] MusicBrainzのタグとの非互換性
* 修正: [in_mp3] Alt+3ダイアログにおいて長いURLが切れてしまう
* 修正: [in_mp3] 大きなCoverartが埋め込まれたMP3のトラック長が見えない
* 修正: [in_mp4] MP4ファイル処理におけるバッファオーバーフロー脆弱性
* 修正: [in_vorbis] Vorbis EditorのCancelボタン
* 修正: [in_vorbis] Vorbis Editorのタブ
* 修正: [in_wm] WMA EditorのArtistとTitleフィールドが逆
* 修正: [in_wm] 細工されたASXプレイリストを再生しようとするとクラッシュ
* 修正: [ml_local] NOTHAS and != with empty fields
* 修正: [ml_wire] (4294967295%) in sc wire downloads
* 修正: [ml_wire] Podcastのダウンロードバグ (未初期化変数エラー)
* 修正: [pmp_p4s] 同期/転送処理でクラッシュ
* 更新: [gen_jumpex] Jump To File Extra v0.99.1b

Winamp 5.34	[Apr 20 2007]
* 新規: IPv6サポート
* 改良: インストーラはin_mp3proを削除する
* 改良: オブジェクトが埋め込まれたIEのページは別スレッドで実行する
* 改良: 速度とパフォーマンスの効率化
* 改良: Media Libraryリサイズ時のちらつきを多数修正
* 改良: Windows VistaでのGDI+のビデオ描画を修正
* 改良: IPC_CONVERTFILE now uses api_decodefile (for ripping & transcoding)
* 改良: [in_wave] ATFに %bitrate% を追加
* 改良: [gen_ff] 無効なXMLをロードする際の処理を改善
* 改良: [gen_jumpex] JTFE Unicodeサポート
* 改良: [ml_local] Composer / Album view (in Edit View, Filters tab)
* 改良: [ml_local] UnicodeのD&Dとsend-toをサポート
* 改良: [ml_local] Album ArtistとしてArtistを使用するオプションを追加
* 改良: [ml_local] 更新 'Field names' in Smart View query documentation
* 改良: [ml_pmp] PMP Unicodeサポート
* 修正: Unicodeのtitle使用時タスクバーとシステムトレイで ???? と表示される (多くのサードパーティ製プラグインが ???? に先祖返りする原因となるでしょう)
* 修正: Windows Vista上でのCD書き込み
* 修正: Classic skin上で 'smooth resize' が有効な場合にスクロールバーが重なる不具合
* 修正: Crash on exit with docked playlist toolbar (ml_local/ml_playlists bug)
* 修正: 非オーバーレイモードのDirectDrawビデオ描画で定期的に画面がちらつく
* 修正: ファイル/フォルダを開くダイアログ使用時にフォルダをロックするバグ
* 修正: 他のSonic/Roxioエンジンが存在する場合のSonic Engineインストール処理
* 修正: インストーラが cwd= をインストールフォルダに初期化する
* 修正: 別ウィンドウをPledit上に移動させると再描画するバグ
* 修正: Preferencesのタブ処理
* 修正: media libraryのアクセシビリティやフォーカスに関する多くの問題
* 修正: WinKey+L 使用時のビデオクラッシュ
* 修正: [enc_lame] 変換時の出力サンプルレート選択を改善
* 修正: [enc_wav] WAVの先頭11サンプルを検出できない
* 修正: [gen_ff] ツールチップの表示がプライマリモニタだけ
* 修正: [gen_jumpex] 安定性の問題とキーレポートに関するプラグインのバグ
* 修正: [gen_ml] キーボードフォーカスの問題
* 修正: [gen_ml] ノードの整列バグ
* 修正: [in_cdda] 長いartist/albumartist名のCD Infoにバグ
* 修正: [in_cdda] オーディオCD再生後にWinampを終了するとクラッシュ
* 修正: [in_cdda] CDDB crash-on-close bug
* 修正: [in_cdda] CD-Text adds to end of cddb fields instead of clearing first
* 修正: [in_dshow] 不正または悪質なメディアファイルにおける潜在的なクラッシュ問題
* 修正: [in_dshow] ネットワークドライブ上のml foldersに格納されたビデオファイルの検索でクラッシュ
* 修正: [in_mod] .s3m および .it ファイルのメモリ管理バグ
* 修正: [in_mp3] .aac ファイルの retrieving info でメモリリーク
* 修正: [in_mp3] .aac ファイルを out_wave で演奏する際の問題
* 修正: [in_vorbis] mlで 'edit selected items' を使用している場合のAlbum tag除去
* 修正: [in_wm] WMAファイルをCD書き込みしようとした場合のクラッシュ
* 修正: [libsndfile] matlab (.mat) ファイルのメモリ管理バグ
* 修正: [ml_local] 'Edit Info' でComposer tagが保存されない
* 修正: [ml_local] local media viewsでTotal sizeが表示されない
* 修正: [ml_local] フォルダ再スキャン後の更新でエントリの重複が発生する可能性がある
* 修正: [ml_local] (No Album Artist) と (No Publisher) が検索結果に表示されないことがある
* 修正: [ml_local] YearによってAlbum項目がソートされる
* 修正: [ml_local] isempty/isnotempty for querying empty/populated fields
* 修正: [ml_local] simple viewsの検索が不安定 (Win2k-specific)
* 修正: [ml_playlists] Drag+Dropでplaylistsからpmp devicesへの処理が不安定
* 修正: [ml_pmp] 同一の曲が非連続的に重複して含まれたグループを削除する際にクラッシュする可能性
* 修正: [ml_pmp] 設定画面の "haven't" タイプミス
* 修正: [ml_rg] モノラルのMP3でReplayGainの解析に失敗する
* 修正: [ml_rg] Now skips over DRM WMA files instead of applying -24601 dB gain
* 修正: [ml_transcode] ソースファイルと出力ファイルの名前が同一になることを防ぐ
* 修正: [ml_wire] 非XMLと判断するに十分なファイルと遭遇した際にクラッシュ
* 修正: [pmp_ipod] iTunes 7.1との非互換
* 修正: [pmp_p4s] デバイスに挿入されたWinampを起動した場合に動作しない
* 修正: [pmp_p4s] デバイス上でサポートされなくなった .alb ファイルはもう作成されないでしょう
* 更新: in_vorbis to libvorbis 1.1.2 and libogg 1.1.3
* 更新: in_flac 2.0 (based on FLAC 1.1.4)
* 更新: MusicIP Mix (formerly Predixis MusicMagic) v1.1
* 更新: Sonic Ripping/Burning Engine v3.6.36.500
* 更新: [gen_jumpex] Jump To File Extra v0.99.1a

Winamp 5.33	[Feb 13 2007]
* 改良: [gen_ml] Unicodeのツリーアイテムタイトルサポート
* 改良: [NDE] 速度を最適化
* 改良: [ml_history] ローカライズされた日時
* 改良: [ml_local] Unicode media libraryサポート
* 改良: [ml_playlists] m3u8ファイルでUnicodeファイルinfoを保持
* 改良: [ml_playlists] send-toサブメニューのplaylists
* 改良: [ml_pmp] Unicodeファイル名のplayback-from-device
* 改良: [ml_wire] メインページの移動を発見する
* 改良: [pmp_p4s] サポートされたファイル形式を自動検出
* 修正: プレイリストフォルダの読み込みを再修正
* 修正: 再帰的なプレイリスト読み込み
* 修正: video表示設定切り替え時のvideo表示
* 修正: HTMLプレイリストの生成
* 修正: ディスクライティング後の一時ファイルクリーンアップ
* 修正: ビデオウィンドウからのAlt+L
* 修正: フルスクリーンビデオ表示の描画の不具合
* 修正: 再帰的なショートカット読み込み
* 修正: ASX Loaderがローカルの相対パスを正しく読み込まない
* 修正: [gen_ml] メニューエントリのファイル名表示のために、'&'を'&&'に伸張する
* 修正: [in_cdda] CDイジェクト後に終了するとクラッシュ
* 修正: [in_flac] マルチユーザーフォルダにgenres.txtが保存されない
* 修正: [in_mp3] アルバムアーティスト書き込み時のID3v2生成
* 修正: [in_mp3] 劣悪にフォーマットされたフレームサイズのID3v2.4タグの処理手順
* 修正: [in_vorbis] 消去する代わりに空白のメタデータを書き込む
* 修正: [in_wave] custom extensionsを記憶しないことがある
* 修正: [in_wm] リプレイゲインが有効でハイデフマルチチャンネルオーディオ演奏時にスタックオーバーフローする
* 修正: [in_wm] ファイル情報エディタのアルバムアーティストが保存されない
* 修正: [ml_local] モダンスキンpleditのウィンドウシェードで'Manage Playlist'ボタンにバグ
* 修正: [ml_local] '...'で省略されたファイルを無視する
* 修正: [ml_local] 'edit selected items'を使用したDISC編集
* 修正: [ml_local] ソートの修正
* 修正: [ml_local] レーティングメニュー
* 修正: [ml_local] リプレイゲインのソートでクラッシュ
* 修正: [ml_local] メタデータ推測のためのタイトル検索でデッドロック
* 修正: [ml_local] Unicodeのファイルをプレイリスト表示した場合に'?????'と表示される問題
* 修正: [ml_playlists] ステータスバーにおけるtimeカラムと'status'
* 修正: [ml_playlists] send-to another playlist makes playlist file appear rather than contents
* 修正: [ml_pmp] <trackartist>
* 修正: [ml_pmp] Metadata showing as -1
* 修正: [ml_rg] マルチチャンネルのファイル演算処理が不正
* 修正: [ml_transcode] 変換されたファイルのメタデータが劣悪または欠落している
* 修正: [ml_transcode] 非常に長いファイル名でエラー ("can't open destination file")
* 修正: [ml_wire] podcastsが適切にアップデートされず、タイトルを変更する
* 修正: [pmp_p4s] VistaでPlaysForSure対応のマスストレージデバイスを表示
* 修正: [vis_milk] マルチユーザー問題
* 更新: [enc_aacplus] Coding Technologies aacPlus encoder 8.0.3
* 更新: [enc_flac] Flake r117
* 更新: [gen_jumpex] Jump to File Extension 0.97.11

Winamp 5.32	[Nov 21 2006]
* 新規: [ml_local] 三つのペインにおける新しい表示 (album artist, genre, publisher)
* 新規: [ml_local] 選択されたファイルのメタデータを再スキャンするオプション
* 新規: [ml_transcode] あるファイルを別の形式にコンバートするツール
* 新規: [pmp_activesync] Windows Mobileデバイスのサポート
* 改良: songticker右クリックメニュー内のsend-to:
* 改良: [ml_local] album artist, disc, replaygain, composer, full path columns
* 改良: [ml_local] ローカライズされた日時
* 改良: [ml_local] フォルダ表示ダイアログ
* 改良: [ml_rg] システムの負荷を下げるためスレッドの優先度を下げた
* 修正: classicスキンのプレイリストで時間の描画に問題
* 修正: ネットワーク上の共有プレイリストの読み込みに時間がかかる
* 修正: Windows 98/ME上でのCD書き込み
* 修正: オーバーレイ無しビデオ表示のちらつき
* 修正: [gen_ml] Windows 98/ME上でのツリービューアイコン
* 修正: [gen_ml] モダンスキンのツールバーモードが復元されない
* 修正: [gen_ml] リストビューのちらつきを抑制
* 修正: [in_flac] 存在しないファイルの情報を表示した際のクラッシュ
* 修正: [in_mp3] Easy CDDA Extractorでエンコードされたファイルの長さが正しく報告されない
* 修正: [in_mp4] 不完全なM4Aファイルを再生できない
* 修正: [in_vorbis] とても短いファイルの再生でクラッシュ
* 修正: [jnetlib] HTTPヘッダが255文字のストリームでタイムアウト
* 修正: [ml_disc] CD表示の際に、全てのウインドウがちらつく場合がある
* 修正: [ml_history] 表示を無効＆再度有効にした場合のクラッシュ
* 修正: [ml_playlists] スクロールする際の表示が不正
* 修正: [ml_wire] 日付の書式が劣悪なPodcastのパージングの際のクラッシュ

Winamp 5.31	[Oct 24 2006]
* 新規: [in_cdda] CD Textの読み込みに対応 (with sonic engine enabled)
* 新規: [in_flac] Nullsoft FLACデコーダ
* 新規: [enc_flac] Nullsoft FLACエンコーダ
* 改良: [ml_disc] トラックのリッピング時のタグ処理を軽量化
* 改良: [in_cdda] CDメタデータの改善
* 改良: [in_mp3] ID3v2.4読み込み時のフレームごとの非同期をサポート
* 改良: [in_mp4] HTTPストリーミングサポート
* 改良: [in_wave] HTTPストリーミングサポート
* 改良: [in_wm] 24bit/mono/surround演奏設定の追従
* 修正: プレイリスト経由のフォルダ読み込み
* 修正: マルチユーザー設定でインストールした場合のショートカットアイコン
* 修正: 古いwa3スキンのThingerアイコン (filereader.w5s missing)
* 修正: 更新履歴の不完全なテキスト
* 修正: フォルダショートカットの操作
* 修正: [dsp_sps] simple pitch and tempo preset (thanks ujay)
* 修正: [gen_ff] System.playFile not working on URLs
* 修正: [in_mp3] ファイルの終点からのシーク
* 修正: [in_mp3] 品質の問題
* 修正: [in_mp3] ID3v2タグ書き込み時にクラッシュすることがある
* 修正: [in_mp3] 連結されたMP3ファイルのトラック長が不正確
* 修正: [in_mp3] ギャップレスの不備
* 修正: [in_mp3] 劣悪なPHPスクリプトで書かれた一部のポッドキャストで、最大リダイレクト数が3回まで引き上げられる
* 修正: [in_mp3] lyrics3のセキュリティ脆弱性 (thanks iDefense)
* 修正: [in_mp3] ultravoxのセキュリティ脆弱性 (thanks iDefense)
* 修正: [in_mp3] ID3v2タグが複数付加されたファイルのシーク問題
* 修正: [ml_disc] 国際化タイトルのディスク切り出し
* 修正: [ml_local] 様々な問題で 'always on top' が正常に機能しない
* 修正: [ml_local] 'Use Library title information for Playlist Item Formatting' が反映されない
* 修正: [ml_local] タイトル番号を4294967295まで表示
* 修正: [ml_playlists] メモリリーク
* 修正: [ml_pmp/pmp_ipod/pmp_usb] 'no disc in drive' エラーメッセージ
* 修正: [out_ds] logarithmic/hybridボリュームコントロール
* 修正: [pmp_p4s] 長さ0のトラックでクラッシュ
* 修正: [pmp_usb] 劣悪なxml書き込み

Winamp 5.3	[Sep 26 2006]
* 新規: Unicodeファイル名とタイトルのサポート
* 新規: M3U8 (Unicode) プレイリストのサポート
* 新規: 24bit演奏オプションが多くのコーデックで利用可能 (turn it on in Preferences->Playback)
* 新規: MP3、AAC、Vorbis、M4A、WMAでリプレイゲインをサポート
* 新規: added ml views & playlists to Play-> submenu of right click popup menu
* 新規: WAL形式のMimeTypeにinterface/x-winamp3-skinを追加
* 新規: [ml_dash] パーソナライズされたコンテンツポータル
* 新規: [ml_disc] リッピング後にリプレイゲインをスキャンするオプション (turn it on in cd ripping prefs)
* 新規: [ml_pmp] 変換機能の実装。ポータブルデバイスへの転送時にオンザフライで変換
* 新規: [ml_pmp] PlaysForSureおよびCreative NJBデバイスでの演奏処理を最新に
* 新規: [ml_pmp] "Copy to Library" - 任意のデバイスからあなたのローカルライブラリに曲を転送 (uses CD rip settings)
* 新規: [ml_pmp] 携帯デバイスで動画を同期する
* 新規: [ml_rg] リプレイゲインスキャナ (access via Send To menu)
* 新規: [pmp_ipod] 最新モデルでのギャップレス演奏
* 新規: [pmp_usb] USBドライブをサポート。それらのMP3プレイヤーがWinampで動かせます
* 改良: フルスクリーンビデオのシークバー
* 改良: ATFアップデート
* 改良: DC filter on spectral visualization, to remove bass bias
* 改良: 設定の刷新
* 改良: PLS書き込みが高速化
* 改良: 24bit EQサポート
* 改良: インストール後の "Close Winamp" オプション (after clicking 'Send')
* 改良: [enc_aacplus] AACとaacPlusエンコードが改良！
* 改良: [enc_aacplus] iTunes/iPod互換のギャップレス情報を保存
* 改良: [enc_lame] --preset mediumとfast mediumを追加
* 改良: [enc_wma] VBRとロスレスモード
* 改良: [gen_ff] サンプルレート表示が改善
* 改良: [in_cdda] 改良されたバッファリングとマルチスレッド化によってリッピングが高速化
* 改良: [in_dshow] AVIメタデータの読み取り
* 改良: [in_dshow] WAVサポートの改善
* 改良: [in_mp3] 24bit MP3の再生。内部演算制度は64bit
* 改良: [in_mp3] ストリーミングID3v2サポート
* 改良: [in_mp3] MP3のリプレイゲインをサポート
* 改良: [in_mp3/in_mp4] 24bit AACの演奏
* 改良: [in_mp3/in_mp4] iTunes互換のギャップレス演奏
* 改良: [in_mp3/in_mp4] MP4コンテナのMP3サポート
* 改良: [in_mp4] FAAC互換（大部分は）のギャップレス演奏
* 改良: [in_wave] bits-per-sampleの出力を改善
* 改良: [ml_playlists] added missing entries from pledit context menus
* 改良: [ml_playlists] option to not show playlists in send-to menu
* 改良: [ml_pmp] Only relevant columns shown in song views
* 改良: [ml_pmp] "Getting Metadata" が高速化
* 改良: [ml_pmp] デバイスをリネーム可能
* 改良: [ml_pmp] 携帯メディアのツリー項目に進捗を追加 (no more switching views)
* 改良: [ml_pmp] ファイル名に基づいてメタデータを推測
* 改良: [ml_pmp] GUIのパフォーマンスを改良
* 改良: [pmp_ipod] iTunesLockのサポート
* 修正: ファイル書き込みでリサンプリングが必要
* 修正: エクスプローラからファイルやフォルダが大量に開いた場合の複数コピー
* 修正: 最小化された状態でWinampを終了する場合のフリーズ
* 修正: デッドリンクになっているストリームを読み込んだ場合のディレイ/ハングアップ
* 修正: DirectDrawが初期サーフェスの作成に失敗した場合のクラッシュ
* 修正: Proでの書き込み速度4倍の上限
* 修正: 関連付けを解除する際のレジストリ登録処理
* 修正: ビデオ入力プラグインの検出を改善
* 修正: [dsp_sps] 24 bitにおける修正
* 修正: [enc_aacplus] HE AAC MP4ファイル作成の互換性強化
* 修正: [enc_lame] VBRプリセットの破損
* 修正: [enc_lame] 24bit入力のサポート
* 修正: [enc_lame] alt-presetsのビットレート下限
* 修正: [in_cdda] CDDB検出で全てのプレイリストキャッシュをクリア
* 修正: [gen_ff] カラーテーマの変更でlayerfxが再設定されない
* 修正: [gen_ff] 描画の品質の問題で不調とクラッシュを招く
* 修正: [gen_ff] カスタムカラーテーマのバグ
* 修正: [gen_jumpex] サスペンドまたは休止状態でハング
* 修正: [gen_ml] ツリーアイコン修正 (divide by zero crash in ICM32.dll)
* 修正: [in_cdda] 最後の数セクタのカットオフ
* 修正: [in_dshow] 16bit stereoより大きなファイルでDSP/EQを使用するとクラッシュ
* 修正: [in_dshow] キーフレームのシーク
* 修正: [in_midi] 一部のMIDIファイルで先頭部分をカットしたような再生になる
* 修正: [in_mod] タイトルの無いmoduleストリームのタイトル表示バグ
* 修正: [in_mp3] ID3タグ編集時のクラッシュ
* 修正: [in_mp3] ID3v2とID3v1の「コメント」「ジャンル」タグの共有
* 修正: [in_mp3] AACファイルの残り再生時間表示が不正確
* 修正: [in_mp3] do Viz after DSP
* 修正: [in_mp3] IcecastストリームタイトルでUTF-8をサポート
* 修正: [in_mp4] file info boxにおけるHE AAC検出 (Alt+3)
* 修正: [in_wm] 信頼できるハードウェア上のDRM Video再生
* 修正: [in_wm] 一時停止中のWMAをシークした場合にフリーズ
* 修正: [in_wm] pledit内のデッドリンクになっているWMVをリピート再生する際にハング
* 修正: [in_wm] 再バッファ時にストリームを停止するとフリーズ
* 修正: [in_wm] 各トラック再生時の小さなメモリリーク
* 修正: [in_wm] Windows Media Screen Codecが適切に演奏されない
* 修正: [ml_disc] CDリッピングのプレイリスト生成バグ
* 修正: [ml_disc] CD Ripping view showing up when clicking on other ml views
* 修正: [ml_history] Ctrl+Hショートカット
* 修正: [ml_local] mldbがロードされるより前に描画を生成しようとしてクラッシュする問題の修正
* 修正: [ml_local] media library DBがロードされなかった場合にバックグラウンドのスキャンがクラッシュする
* 修正: [ml_local] スケジュールされたバックグラウンドでのスキャンが起動時に常に開始される
* 修正: [ml_online] Online Media bugfix (don't try to play NULL streams)
* 修正: [ml_playlists] ストリームタイトルが失われる
* 修正: [ml_playlists] タイトルでソート
* 修正: [ml_playlists] ローカルメディアからml playlistへのSend Toでキューに追加する代わりに置換する
* 修正: [ml_playlists] Enqueue as default broken in left pane
* 修正: [ml_playlists] Playlist title > 右クリック > New Playlist が壊れている
* 修正: [ml_playlists] トラック長のバグ
* 修正: [ml_playlists] プレイリストパスの発行
* 修正: [ml_pmp] 問題のあるファイルに遭遇した後に転送速度が低下する
* 修正: [out_ds] ログまたは混合ボリュームコントロールを使用する場合にボリュームが0dBに達しない
* 修正: [pmp_ipod] iPodのアルバムリストで "The" を正しくソートしない
* 更新: Coding Technology aacPlus Encoder 8.0.0
* 更新: [gen_ff] Freetype 2.2.1
* 更新: [gen_ff] libpng 1.2.12
* 更新: [gen_jumpex] Jump-to-File 0.97.7
* 更新: [in_wave] libsndfile 1.0.16
* 更新: [libmp4v2] MPEG4IP mp4v2 1.5
* 更新: [enc_lame] LAME 3.97b3
* 更新: Sonic Engine 3.2.40.500

Winamp 5.24	[Jun 21 2006]
* 修正: [in_midi] クラッシュバグと潜在的なセキュリティ脆弱性

Winamp 5.23	[Jun  8 2006]
* 改良: [gen_jumpex] jump-to-fileの速度改善
* 修正: ネットワーク上の共有ファイルをプレイリストに保存
* 修正: Media Libraryにおける優先順位を正しく要求しない
* 修正: クラシックスキンで最小化した状態から復元した場合にメインウィンドウがハイライトされない
* 修正: URLが含まれるプレイリストのロードが遅い
* 修正: サードパーティ製インプットプラグインを使用したCD書き込み
* 修正: クラシックスキンでのウィンドウシェードのプレイリストのディレイ
* 修正: [gen_ff] Wasabi XML font-related fixes from Martin Poehlmann
* 修正: [gen_ff] Map.getHeight() maki script function returning width instead
* 修正: [gen_ff] モダンスキンのウィンドウシェードでグローバルホットキーの挙動が不安定
* 修正: [gen_jumpex] 'Add to Queue' の結果
* 修正: [gen_jumpex] NT4との非互換
* 修正: [gen_jumpex] 様々なバグ修正
* 修正: [gen_ml] ドラッグ＆ドロップした項目のアイコンを変更
* 修正: [in_mp3] AACストリームの再生
* 修正: [in_mp4] [→]キーを使用した場合のシークバグ
* 修正: [in_wm] 再生中の.wmaファイルのタグを編集した場合、ファイルの先頭から再生をリスタートする
* 修正: [in_wm] config > filetype > editのprotocol/extensionを逆にした
* 修正: [in_wm] ASF/WMVの設定で 'Audio only' が常にチェックされている
* 修正: [in_wm] [→]キーを使用した場合のシークバグ
* 修正: [ml_bookmarks] Media Libraryが非表示の場合、'Edit Bookmarks' メニュー項目が動作しない
* 修正: [ml_local] Media Libraryの描画を再配列している間にクラッシュする
* 修正: [ml_local] 閉じる際のクラッシュ
* 修正: [ml_local] 一部のカラムでソートの向きが逆になる
* 修正: [ml_playlists] プレイリストのインポートで、タイトルにファイル名でなくフォルダ名を使用
* 修正: [ml_playlists] フォルダからのプレイリストインポートで "Recurse" チェックボックスを禁止
* 修正: [ml_playlists] Add Dirに「すべてのファイル」を追加 (not just all-supported)
* 修正: [ml_playlists] 右クリックによるキューへの追加が動作しない・異なる結果を返す
* 修正: [ml_playlists] 一部の状況でプレイリストへの保存が出来ない
* 修正: [ml_playlists] 劣悪な書式のWPLプレイリストを読み込むとクラッシュ
* 修正: [ml_playlists] プレイリストにドラッグ＆ドロップした場合に正しい位置に追加されない
* 修正: [ml_playlists] 新しいプレイリストを追加した場合にプレイリストのルートの表示が更新されない
* 修正: [ml_playlists] reverting changes on send-to: playlist
* 修正: [ml_playlists] ドラッグ＆ドロップしたm3uファイルの破損
* 修正: [ml_pmp] 同期の重複を根本的に修正 (thanks gordol)
* 修正: [ml_pmp] プレイリストからの項目削除の保存が為されない (thanks Nick)
* 修正: [ml_wire] 一部のPodcastでは一つの項目だけが表示される
* 修正: [pmp_ipod] プレイリストソートの現在の挙動を再修正
* 修正: [out_ds] フェード (shift+v) の結果、停止する
* 更新: [in_cdda] CDDB 2.0.1.25

Winamp 5.22	[May 25 2006]
* 新規: プレイリストに読み込む形式の追加: ASX/WAX/WMX/WVX, WPL, B4S
* 新規: [gen_ff] モダンスキンのUnicodeサポート
* 新規: [in_wm] DRM保護されたファイルのCD書き込み (if allowed by content provider)
* 新規: [ml_pmp] ポータブルデバイスへのプレイリスト転送
* 改良: CD書き込み時のステータスウインドウにより多くの情報を表示
* 改良: [gen_ff] モダンスキンエンジンを最適化
* 改良: [gen_jumpex] jump-to-file検索のレスポンス
* 改良: [gen_tray] 拡張アイコンパックのサポート、他... (thanks DrO)
* 改良: [in_wm] シークを改良
* 改良: [in_wm] ギャップレスなWMAをサポート
* 改良: [ml_nowplaying] 'Now Playing' のメディアライブラリでの表示を再デザイン
　　　　　　　　　　　　　　(it actually works now)
* 改良: [pmp_ipod] iPodの読み込み時間を短縮
* 修正: Winamp won't restore after being minimized with a dialog box open
* 修正: $abbr() title formatting lockup
* 修正: 最終トラック前のフォルダ・トラック追加
* 修正: 'Next' をクリックした際の、フルスクリーンビデオのOSDで二度クリックしたような挙動
* 修正: pleditの右クリックコンテキストメニューに、常に "No Rating" が表示される
* 修正: Stop with fadeout (Shift+V) で再生を止めた場合に、フェードアウトしない
* 修正: CD書き込み時のバグとクラッシュ
* 修正: Online ServicesまたはSC Wire searchでDelete keyが機能しない
* 修正: [gen_jumpex] 65,536以上のファイルがあるプレイリストの扱い
* 修正: [gen_jumpex] 'on end of queue' を修正
* 修正: [gen_jumpex] modern skin pledit docked toolbar mode not remembered
* 修正: [gen_jumpex] スキンをClassic→Modern→Classicと切り替えた場合にMLの大きさと位置を復元しない
* 修正: [gen_jumpex] 様々なバグ修正
* 修正: [gen_ml] プレイリストのルートの表示が遅いバグ
* 修正: [gen_ml] Modern skin: Media Library > View (menu) > Devices
* 修正: [in_midi] 不適切なheaderでクラッシュ
* 修正: [in_mp4] メタデータの書き込みでクラッシュ
* 修正: [in_mp4] [→]キー使用時のシークバグ
* 修正: [in_mp3] MPEG-2とMPEG-2.5 Layer 3の再生でクラッシュ
* 修正: [in_mp3] 不適切な名前が指定された.aacファイルを再生しようとするとWinampがクラッシュ
* 修正: [in_wave] WAVの書き込みを修正
* 修正: [in_wave] ファイルがロックされる (wav's can't be renamed/deleted)
* 修正: [in_wm] lockup on wma with expired/unrenewable drm license
* 修正: [in_wm] 一部のWMVストリームにおけるaudioとvideoの非同期
* 修正: [in_vorbis] ATFが無効なタグの無いファイルのプレイリストでのフルパス表示
* 修正: [ml_pmp] 二重に同期される
* 修正: [ml_pmp] 転送時に何度もクラッシュする
* 修正: [out_ds] out_dsのアクティブなインスタンスが二つある場合に別個のOutput Deviceを選択できない
* 修正: [out_ds] 同一のpro soundcardが二つある場合のステレオ出力の列挙が不正確

Winamp 5.21	[Mar 10 2006]
* 新規: [jnetlib] HTTP圧縮をサポート
* 改良: [installer] マルチユーザー設定を指定フォルダに移動可能
* 修正: [ml_wire] メモリリーク
* 修正: [pmp_p4s] DRMclien.dllエラー
* 修正: [gen_ff] 選択したスキン情報の表示
* 修正: [in_mp3] Info Editorのコメント欄でワードラップが機能しない
* 修正: [in_wm] マイナーバグの修正
* 修正: ビデオウィンドウでキーボードショートカットが動作しない
* 修正: [in_vorbis] ストリームタイトルのメタデータにアーティストが無い
* 修正: [in_dshow] 浮動小数点オーディオ
* 更新: Coding Technology AAC+ Decoder 7.2.5

Winamp 5.2	[Feb 23 2006]
* 新規: [ml_pmp] 携帯メディアプレイヤーとMedia Libraryの同期を行う
互換性があるのはiPod、Creative、およびMicrosoft PlaysForSure対応デバイス
* 新規: [enc_aacplus] Coding Technologies aacPlus High Bitrate encoder (Winamp Proで利用可能)
* 新規: [enc_aacplus] Coding Technologies aacPlus (HE-AAC) in MP4 container
* 新規: [enc_aacplus] Coding Technologies LC-AAC encoder
* 新規: [gen_ml] ツリービューにアイコンを表示
* 新規: [ml_online] Dynamic AJAX Internet Media Hub
* 新規: [in_nsv] NSVコンテナに格納されたAACの再生
* 新規: [in_mp3] MP3のギャップレス再生
* 新規: [installer] マルチユーザー設定のオプション
* 新規: [installer] 以前のインストール時の設定を再現
* 新規: [in_wave] in_wave 3.0
* 新規: プレイリストで右から左に向かって読む書式を表示
* 改良: 新しいタイトル拡張書式が利用可能　以下のものが追加:
$repeat(x, count) - creates a string with x repeated count times
$lpad() - same as $pad, but adds padding to the left
$decode(...) - switch/case function. example: $decode($fileext(%filename%),MP3,MPEG-1 Layer 3,MP4,MPEG-4 Container,Other)
$IfStrEqual(string1,string2,result) - if string1 and string2 are equal, displays result. case insensitive
$IfStrEqual2(string1,string2,result,else) - if string1 and string2 are equal, displays result, otherwise displays else. case insensitive
%folder% - top level folder name of the file
* 改良: モダンスキン用のStereo beat visualization
* 改良: [gen_ff] スキン作者用の新しい表示モードが利用可能
* 改良: [gen_ml] CDドライブの情報を表示 (リッピング＆ライティング)
* 改良: [gen_tray] gen_tray v1.0 (thanks DrO)
* 改良: [in_midi] Media Libraryにメタデータを送る
* 改良: [in_mod] Media Libraryにメタデータを送る
* 改良: [in_mp3] ID3v2タグをUnicodeで扱う
* 改良: [in_mp3] ID3v2.4を予備的にサポート
* 修正: 不安定なプレイリストのソート
* 修正: プレイリストにおける複数行タグの問題 (例. %comment%)
* 修正: プレイリストに1曲しかない場合のシャッフル
* 修正: Winampがseek中にフォーカスを失った場合、消えたseek sliderが現れる
* 修正: ビデオウィンドウの右クリックメニューのvideo options
* 修正: プレイリストウィンドウシェードの国際化サポート
* 修正: フルスクリーンビデオ表示の国際化サポート
* 修正: m3uプレイリストの扱いに関するセキュリティ脆弱性 (thanks to NSFOCUS and Information Risk Management Plc)
* 修正: [enc_lame] ビットリザーバ
* 修正: [enc_lame] 最終フレームのカットオフ
* 修正: [gen_ff] コンポーネント上のリージョンが動作していない
* 修正: [gen_ff] プレイリストとビデオのフォーカスバグ
* 修正: [gen_ff] プレイリストのウィンドウシェードにメモリリーク
* 修正: [gen_ff] Current Skin設定ページでGDIオブジェクトがリーク
* 修正: [in_midi] Winampのタイトル書式オプションに従っていなかった
* 修正: [in_midi] resetボタンをクリックすると、それ以降各種プラグインの設定を開けなくなる
* 修正: [in_mod] Winampのタイトル書式オプションに従っていなかった
* 修正: [in_mp3] 不適切なバージョン表記 (showed 5.18 in 5.12)
* 修正: [in_mp3] AAC+ファイルの不適切な情報表示
* 修正: [in_mp3] ID3コメントタグの読み込みが不適切
* 修正: [in_mp3] 最終ID3フレームの読み込みに失敗することがある
* 修正: [in_mp3] タグを編集するとID3v2 album artが消失する
* 修正: [in_mp4] メタデータを修正するとalbum artが消失する
* 修正: [in_vorbis] Winampのタイトル書式オプションに従っていなかった
* 修正: [in_vorbis] レジストリの使用 (now multi-user profile safe)
* 修正: [in_wave] 32bit浮動小数点WAV再生時のゆがみ
* 修正: [in_wm] Attribute Editorによる変更がML/Playlistで反映されない
* 修正: [vis_milk] distroからファイルが見つからない (you can stop bugging us now, Rovastar :)
* 修正: [vis_milk] 停止時にCPU使用率が100%になる問題
* 更新: [gen_jumpex] DrO's Jump To File Extension 0.97 
* 更新: [enc_lame] LAME 3.97b2
* 更新: [gen_ff] libpng 1.2.8
* 更新: [gen_ff] FreeType 2.1.10
* 更新: [enc_aacplus] Coding Technologies aacPlus encoder v7.2.0a

Winamp 5.13	[Jan 30 2006]
* 修正: [in_mp3] 非常に重大なセキュリティ脆弱性

Winamp 5.12	[Dec 12 2005]
* 新規: [in_wm] Windows Media Videoのサポート (with DRM)
* 新規: [in_mp4] HE-AAC MP4/M4Aファイルのサポート
* 改良: プラグインの小さな改良が多数
* 改良: Visualizationデータの演算
* 改良: プレイリストのメモリ使用量をかなり軽減
* 改良: より多くのマルチユーザー改良 (almost there!)
* 改良: [installer] セットアップ時のオプション設定を保存する機能およびコーデックのダウンロード機能を追加
* 改良: [gen_ff] スキン機能を最適化
* 改良: [out_disk] 新機能を追加
* 改良: [in_cdda] sonic engine使用時の演奏とリッピング
* 修正: CDライティングをキャンセルした場合のフリーズ
* 修正: 動画のスケーリングバグ (with modern skin scaling < 100%)
* 修正: インストーラの軽微なバグ
* 修正: メインウインドウが隠れた状態でclassic skinを読み込んだ場合のフリーズ
* 修正: 24ビットおよび32ビットの曲でのVisualizations
* 修正: 日本語、中国語、韓国語のメタデータのタイトル拡張書式 (thanks mrym)
* 修正: [in_mp3] raw AAC VBRファイルのシークとビットレートの報告
* 修正: [in_mp4] Unicodeメタデータの書き込み
* 修正: [in_wm/in_dshow] mms://ストリーミングビデオの再生
* 修正: [in_cdda] オーディオCDのビットレート表示
* 修正: [in_cdda] 64bit Windows用のSonic engine (thanks STanger)
* 修正: 多数の軽微なバグ...
* 更新: Sonic CD Engine 2.2.50
* 更新: libmp4v2 1.4.1
* 更新: Coding Technology AAC+ Decoder 7.2.0

Winamp 5.112
* 修正: EQが有効にされた状態でCDを焼くとクラッシュする
* 修正: [in_mp3] id3v1からid3v2へのコピーの欠陥

Winamp 5.111
* 修正: Internet Explorerのバージョンが3.0の場合でも動作するように (Win95/NT3.51)
* 修正: EQの自動プリセットでクラッシュ (ファイルがMP3以外の場合)
* 修正: 外国語の$upper, $caps, $caps2でクラッシュ
* 修正: Station Infoでクラッシュ (HTTPフィルタリング使用時)
* 修正: プレイリストが空の場合のバグ
* 修正: [in_mp3] ポート80だけがチェックされた場合にproxyが無視される
* 修正: [in_midi] 歌詞が動作しない

Winamp 5.11	[Oct 20 2005]
* 更新: LAME 3.96.1
* 修正: プレイリストにファイルを追加した際のフォーカスをプレイリストに設定
* 修正: EQが有効な場合にマルチチャンネルの曲でクラッシュする
* 修正: "dial-up"に設定されている場合にインターネット接続の検出が機能しない
* 修正: Winamp Videoでのプレイリストの手動前進
* 修正: EQテキスト表示の欠陥
* 修正: ビデオがビデオウインドウ全体に広がらない
* 修正: フルスクリーンビデオの黒いバー
* 修正: [gen_ml] no write accessでクラッシュする
* 修正: [gen_ml] CDDBダイアログのMedia Library描画の欠陥
* 修正: [in_dshow] 動画でも音声でもないファイルをシークする
* 修正: [in_cdda] aspiリッピングでのクラッシュ
* 修正: [ml_wire] "my music"フォルダの作成
* 修正: [ml_wire] Podcastsで1970年以前の日付を適切に扱う
* 修正: [ml_wire] URLのパラメータでPodcastsをダウンロード
* 修正: [out_ds] fade-on-seekの設定
* 修正: [in_wm] pauseの欠陥
* 修正: [in_mp4] view-file-infoでファイル名がスクロールしない
* 近日公開: マルチユーザープロファイルのサポート (preliminary support enabled)

Winamp 5.1 Surround Edition
* 新規: CodingTechnologiesのAACPlusエンコーダを採用！
　　　　MP3キラー! 
　　　　低ビットレートが素晴らしい！
* 新規: Internet Surround Music Projectの懸賞当選者！
　　　　KAJE - Hey Buddy (アフリカ・バンバーター特集)
* 新規: SHOUTcast Wire - メディアRSSブラウザと予約サービス
* 新規: Predixisの機敏なプレイリストジェネレータ
　　　　(Mix your tracks based on what they sound like!)
* 新規: AOL Radio featuring (((XM))) Free Sampler!
* 新規: free versionで8倍速のCDリッピング機能を利用可能
* 新規: Microsoft WMAエンコーダ
* 新規: 新たなMilkdropプリセットは200以上！
* 更新: in_vorbisで、getextendedfileinfoが返すビットレート
* 修正: WMAの音が引っかかったような再生
* 修正: out_dsのstatusタブのcopyボタンは絶えず動作する
* 修正: Sonic engineを使用したリッピングおよび再生に多くの改良
* 修正: Sidecarにかかわらず現在のビデオウィンドウをリサイズ可能
* 修正: 長いMP3の長さがより適切に報告される
* 修正: サイレントインストールのスイッチが適切に動作するように
* 修正: CD再生とリッピングの同時使用

Winamp 5.094
- 新規: in_wmでビットレートと演奏時間の拡張情報の処理を最新に
- 新規: プレイリストのシャッフルでランダム値の生成処理を一新
- 修正: ID3v2タグのセキュリティ脆弱性 (thanks to LSS Security)
- 修正: 32,768より多くの曲をプレイリストシャッフル
- 修正: スタート時のフェードがより適切に動作する
- 修正: 複数インスタンスがある場合のDirectSoundの設定を分離する
- 修正: 260文字よりも長いURL文字列の追加をサポート
- 修正: iTunesで作成されたファイルの編集を行っても不正は発生しないように
- 修正: 長いMP3ファイルの長さをより適切に受け取る
- 修正: gen_jumpexは、DEPが有効でもクラッシュしないように
- 修正: メディアライブラリでのソートの設定を覚えているように
- 修正: アルバム名が英数字以外でも以前より行儀良く動作する
- 修正: 一部のユーザーをシークする場合に断続的にcrashする現象
- 更新: 新しいlibmp4v2.dll


Winamp 5.093	[Jun 13 2005]
* 修正: DirectDrawモードでのOSD表示
* 修正: フルスクリーン・ビデオOSDが一時停止後に再現しない
* 修正: ML Playlist > Select all (no delete key)
* 修正: in_modでのVisデータ (加えてほかのinputプラグインも)
* 修正: msvcp60.dllをスタティックリンク
* 修正: gen_mlとgen_ffの小さな断続的バグ
* 修正: 2チャンネル以上のvisデータ動作
* 修正: ArtistまたはAlbum名の中の括弧/ブラケットに関するメディア・ライブラリー問題
* 修正: Ripping CDs with trailing ellipses (...) in artist or album name
* 修正: Better video flipping for YUV colorspace videos
* 修正: Saved mute settings with modern skin.
* 修正: 外部アプリからのドラッグアンドドロップ
* 修正: ファイルを開くダイアログの常に手前表示
* 修正: 開始時のクロスフェード
* 修正: マルチオーディオストリームのトラック切り替えでのフリーズ
* 修正: Fullscreen switching with scaled video window.
* Update: Dynamic Online Media can now alert users to live events(can disable).

Winamp 5.092	[May 25 2005]
* 新規: out_waveでのDRM WMAの再生をサポート
* 新規: 非DRM WMA再生ではすべてのoutput pluginを許可
* 新規: コミュニティから抽出したAVSプリセットパック
* 新規: メディアライブラリから削除でゴミ箱への移動
* 新規: 再生中のNSVサブタイトルが表示可能に
* 修正: プレイリストに多くのアイテムがある場合の終了時に長い遅延とCPU負荷がかかる
* 修正: gen_mlの終了バグ
* 修正: 標準ビデオウインドウの簡単移動
* 修正: WMA再生の一時停止でメモリリーク
* 修正: マルチモニタのフルスクリーンビデオ
* 修正: プレイリストエディタのドラッグアンドドロップ
* 修正: Winampへのドラッグアンドドロップ
* 修正: 曲の変更時のNow Playing更新
* 修正: Media Library/Windows Media スケーリングエラー
* 修正: フルスクリーン中の設定誤り
* 修正: Ctrl-Bクラッシュ
* 修正: OGG/Vorbisストリームの認証
* 修正: ファイルを開くダイアログでのドラッグアンドドロップの奇妙な振る舞い
* 修正: WMAの再生とシークでのつっかかり
* 修正: NSVビデオがバッファリング中に停止する
* 修正: Autosize of video to be accurate to the Video size not snap size
* 修正: 短いNSVクリップの音声切れ
* 更新: メディアツリーの動的更新 (無効にすることができます)
* 更新: Sonic Install / 設定フラグの誤り
* 更新: CDリッピング/書き込みライブラリ (possible cause of msvcrt.dll errors)

Winamp 5.08e [Dec 22 2004]
* Windows Media DRM ライセンスを更新
* gen_ff.dllのplayFile関数を修正 (モダンスキン有効での再生開始)
* eMusicをバンドル
* in_mp4.dll,enc_mp4.dll,libmp4v2.dllの致命的なセキュリティバグ修正
* Accept-Rangeを返すWebサーバでのHTTPシークを修正
* in_cdda.dllの致命的なセキュリティバッファオーバフローバグを修正

Winamp 5.07	[Dec  2 2004]
* in_cdda.dllと .m3u処理の致命的セキュリティバグを修正
* in_mp3 と in_nsv がWin95で再び動作するように修正
* プロキシ設定が機能するように修正
* modサポートとともに read_file.dll が必ずインストールされるように修正
* バージョン番号がIPC_GETVERSIONで適切にレポートされるように修正

Winamp 5.06	[Nov 18 2004]
* プレイリストのクリア後にメインウィンドウのタイトル表示窓を右クリックするとクラッシュするバグを修正
* セキュリティバグの修正
* 多数の軽微なバグ修正
* JTFE v0.96ff

Winamp 5.05	[Aug 27 2004]
* セキュリティバグの修正
* DirectShowビデオの上下反転問題を修正
* JTFE v0.96c
* スキンの初回ロード時に警告を表示するように修正

Winamp 5.04	[Jul 28 2004]
* JTFE v0.96
* Coding TechnologiesのAACPlusデコーダを追加
* 一部のマシンで、CD書き込みプロセス用の一時WAVファイルが削除されないのを修正
* コンテキストメニューショートカットの誤字修正
* gen_hotkeysによっておこされるIPCの速度低下を修正
* internet radio/tv の表示に "clear" ボタンを追加
* インストーラにクラシック/モダンスキンのスクリーンショットを追加
* MP3のビットレートの計算方法を修正 (in_mp3がMP3の演奏時間を間違って返す場合がありました）
* 長いWMAファイルで、長さが正しく返されない問題を修正
* 最小化での起動時のプレイリストエディタ/ビデオ表示のよりよい修正
* イコライザスライダー移動時のdbテキストバグを修正
* MP3エンコーダをLAME3.96にアップグレード
* WMAv8コーデックのWMAファイルを再生したときにcrashする問題を修正
* in_nsvのデフォルトのストリーミング設定を更新
* Media LibraryにWinamp.com Video/Musicを追加
* in_cddaの小さなメモリリークを修正
* Media Libraryの右クリックメニューに "Now Playing" を追加
* Media Libraryのミニブラウザで、スクリプトとActiveXの無効をデフォルト設定に
* MP3ファイルのメモリリークが原因でID3v2タグが破損する問題を修正
* CDトラック再生時のvisualizationを修正
* Shoutcastストリーミング再生時の user:pass@server:port 文字列切り出しを修正
* in_dshowで.wmaで終わる mms://ストリームを扱わないように修正
* CDトラックの %tracknumber% タグを修正
* in_mp4がクラッシュするバグを修正
* CD全体をリッピングする際のプレイリスト生成を修正
* Media Libraryに "import playlist from folder" を追加
* Media Libraryの選択画面を更新
* Cockos, Inc.によるSPSプリセットを追加 (音程変更,他...)
* M4A/MP4 HTTP ストリーミングのサポート
* フルスクリーン再生のアプリケーションのモニタリングを無効にし、その際一時的に最前面表示を無効にする
* IPC_IS_WNDSHADE を追加
* gen_ml にipcsレイティングを追加
* プレイリストのコンテキストメニューにレイティングを追加 (選択された項目に適用)
* 曲名表示窓のコンテキストメニューにレイティングを追加 (現在のトラックに適用)
* gen_hotkeyにレイティングホットキーを追加
* 読取専用プレイリストの保存を修正
* gen_mlでid3なし項目のコンテキストメニューの2重境界線を修正
* クエリ後に失われたファイルの表示リフレッシュとバックグラウンドスキャンの修正
* added escaping of ", ', [ and ] in ml queries : uses %HH where HH is the hex char code (uses %% for '%')
* SDKにおけるビデオ入力プラグインでの複数音声/ビデオトラックのサポート (wa_ipc.hのITrackSelectorクラスをご覧ください)
* マルチオーディオAVIのサポートを追加 (ビデオウインドウを右クリックして "Audio Tracks" を選択)
* マルチモニタ環境において、片方のモニタがwindowshadeオンで他方がフルスクリーン再生の際の問題を修正
* ML_IPC_EDITQUERY と ML_IPC_EDITVIEW を追加
* Windows XPのClearTypeフォントでpleditの描画にバグがあったのを修正
* 0バイトのファイルからID3タグを読み込んでクラッシュする問題を修正
* Winamp終了時の開く/保存ダイアログを閉じる前にin_spsがクラッシュする問題を修正
* IPC_PUSH_DISABLE_EXIT, IPC_POP_DISABLE_EXIT と IPC_IS_EXIT_ENABLED を追加
* 長さが-1の項目挿入時にgen_mlがクラッシュする問題を修正
* gen_mlで破損データベースに対応
* gen_mlのCDRライティングを修正
* 異なる解像度のフルスクリーンアプリケーション(ゲームなど)でも無効になるように修正
* made ui:preferences global hotkey open the prefs to the previously opened page
* 設定画面の見た目上の問題を修正
* モダンスキンをアップデート
  - シェードモードのリピートトラックボタン状態を修正
  - ドッキングツールバーのスケーリングを修正
  - newGroupAsLayout()を削除
  - フローティングビデオウィンドウが0,0まで落ちることを調整します
  - ツールバーとして既にドッキングして、レイアウトがロードされる場合の自動半透明の修正
  - 全てのウィンドウのアルファブレンドを連動する場合に通知ウィンドウ上でフェードイン・アウトが使用されない問題を修正
  - 修正 docked toolbars moving when some other window docked to them switches to an 
    alternative layout
  - gen_ffがアンロードされる前とプレイリストエディタがツールバードッキングしているときのシャットダウンで静かにクラッシュした問題を修正
  - スナップ地点を修正
  - +12db / 0db / -12db でのクリックを修正
  - テキストスクロールの最適化
  - 場合によってはプレイリストエディタを描画しないように修正
  - gen_hotkeys are now routed thru System.onKeyDown(name), where name is the name of 
    the hotkey pre修正 by "HOTKEY: " (ie: "HOTKEY: Playback: Play"). You may issue a
    complete; statement to prevent gen_hotkey from handling the hotkey
  - 修正 horizontal resize of main window with video/vis drawer closed
  - added auto-height for next drawer opening when resizing main window with video/vis 
    drawer closed, this avoids having an unreasonably tall drawer open if you just 
    watched a video in a big window and then only resized the player back to its 
    horizontal minimum after the video had closed. auto-height resets to 4:3 
    proportions
  - スナップアジャストレフトを使用したときのドッキング問題を修正
  - テキストのアライメントがディスプレイデフォルト幅と矛盾するバギーな計算問題を修正
  - 画面解像度変更後のウインドウ移動を修正
  - 修正 rare always on top desync with classic skins

Winamp 5.03 [Mar 24 2004]
* MP4 AACを新たにデフォルトリッピングエンコーダとして作成
* in_dshowにおいていくつかのaviファイルの再生でクラッシュしていた問題を修正
* Global Hotkeysのデフォルト設定にマルチメディアキーボードのキーを追加
* クラシックスキンでのリピートボタンのポップアップメニューに"手動プレイリスト前進機能"を追加
* MP3エンコーダオプションを改良 (--alt-preset standard を追加など)
* XPのテーマに基づくタブを忠実に作成
* ビット当たりメディア・ライブラリー優先権を改造
* 新たな実験的WMA9インプットプラグイン
* DrOによる gen_jumpex 更新
* メディアライブラリに"ライブラリ消去" 動作を追加
* 上下逆さまビデオ再生の修正
* シャットダウン時にプラグインがPledit WM_WINDOWPOSCHANGEDを生成たときにクラッシュする問題を修正
* in_modのクラッシュ問題を修正 (Peter Winter-Smithに感謝)
* in_midiが無効なファイルの再生でクラッシュする問題を修正
* in_midiがレジストリの変わりにwinamp.iniに設定を格納
* 中国・東洋地方設定のPCでのインストールエラーを修正
* インストーラからAODを消去
* シフト+Rによる手動プレイリスト前進切り替えを追加
* VP6ビデオでコーダを最新のVP6.2に更新
* とても長いファイル名をエクスプローラからWinamp起動するとクラッシュする問題を修正
* Proバージョンのインストール中に登録ダイアログをタスクバーに登録
* 最小化で起動するときのプレイリスト/ビデオWindow表示を修正
* モダンスキン更新:
  - Winampモダンスキンは3ステートリピートボタンです: リピートしない/全てリピート/トラックリピート
  - アプリケーションデスクトップツールバー機能を追加
      "左|上|右|下"をレイアウトとして使用
  - makiバイナリバージョンを更新、スタック保護を改善
  - 現在のスキンバージョン1.2 (これはずっと今を変更してはなりません、また
    私たちはv0.8からv1.1をサポートしつづけます)
  - (とても) 制限のあるmakiデバッガ (今のところ、invokeDebugger()でそれを表に出すことができます;
  そのときスクリプトの中で、継続するは「x」トレースするは「i」を使用します)
  - ドラッグ中ウインドウのキャプチャ問題を修正
  - 修正 rectrgn being forced to 1 in xml xuiobject buttons that are originally imageless
  - 修正 hilited state not on after clicking on buttons while the mouse stays in area
  - 修正 scripted onEnterArea/onLeaveArea not being always correctly called while mouse 
    button stays down
  - 修正 getToken being passed NULL throwing guru
  - 修正 clipping of painting within the background's region of a group rather than 
    within the composed region (the one you can change with sysregion)
  - 修正 image cache problem when using the same bitmap as a map and a button image 
    parameter

Winamp 5.02	[Feb  4 2004]
* 2,3のgen_ml APIを追加
* gen_ml prefs表示後のラジオ/TVキャッシュバグを修正
* gen_ml アップデートに失敗した場合、古いデータを保持、又ラジオ/TVインターネットが利用可能でない場合、更新しないように変更。
* gen_ml クイック検索書式に新しくサポート: "* beck radiohead"
  will list all things matching beck OR radiohead, and:
    radiohead "<lastplay > [3 days ago]>" will show all things matching radiohead
    played in the last 3 days...
* gen_ml設定に"全て/任意"推測モードを追加
* SPSに25bitサンプルを追加
* CDリッピングにプライオリティ設定を追加
* made CD ripping only support one rip at at time
* プレイリストのsend to メニューに"add to library"を追加
* no artist/no albumの時のメディアライブラリAudio Viewのよりよいサポート
* Info Boxの適用後とライブラリのポップアップメニューを修正
* Litestepオプションをクラシックスキン設定に移動
* プレイリストエディタのクラシックスキン再描画バグの修正と、マウスホイールによるアイテムのよりよい移動
* ファイルタイプに"EXE"を追加できるように修正 :)
* "ビデオ再生中にスクリーンセーバーを無効に"オプションをクリーンアップ
* 最新SDKが利用可能 (AVS, Media library, new Winamp IPC calls, etc...)
* Gracenote CDDB v2 DLLをアップグレード
* gen_hotkeysの改良
* mp3エンコーダをLAME v3.95.1にアップグレード
* out_dsがレジストリに換えてwinamp.iniを使用します
* 上下逆さまビデオの修正をin_dshowに追加
* OGM拡張子のサポートをin_dshowに追加
* モダンスキンのアップデート :
  - リージョンの1ビット最適化
  - unparentedレイアウトのグローバルアルファハンドリングを修正
  - キー入力の小さなバグを修正
  - レイヤーキャプチャ取り消し問題の修正
  - Alt+gとAlt+wの高速入力でクラッシュする問題を修正
  - URLのクリックによる再生でプレイヤーが最前面に移動しないように修正
  - ariel.ttf(またはセットされた全てのフォント)が存在しないときに例外が発生しないように修正
  - 不完全なSkinフォントが時々衝突してデフォルトGUIフォントとならないよう修正
  - makiに日付とバージョン関数を追加
  - 60:00の代わりに1:00:00を表示するオプションtimerhours="1" を追加
  - テキストオブジェクト"0:00:00"と" :  :  "を表示する timeroffstyle 3 と 4を追加
  - Skinバージョンを1.1にUp - 1.1を使用してスクリプトを再コンパイルしなければなりません
  - makiコンパイラをアップデート (http://bluemars.org/maki) :
    - makiバイナリのスタック保護を追加 - バイナリバージョンヘッダのUp
    - added self version check in maki binaries
    - 存在しない(将来用)maki関数はmakiランタイムをクラッシュさせないでしょう
    - 不明なmaki関数の戻り値を修正
  - 修正 winamp appearing on secondary taskbar with ultramon regardless of true position
  - extraneous invalidationsの修正
* 新たに拡張ファイルジャンプダイアログを追加 (Darren Owenに感謝)
* 標準MP4 AACエンコード/デコード (Menno Bakkerの協力に感謝)
* in_borbisでのUnicodeメタデータ対応を修正
* インストーラコードでクラッシュしたのを修正
* VP6デコーダーが"badframes.stt"ファイルを生成しないように修正
* <3 さようならJustin <3

Winamp 5.01	[Dec 19 2003]
* gen_mlの選択バグを修正
* gen_mlに「推測しない」オプションを追加
* AVSとSPSでユーザーコードにloop()をサポート
* AVSでユーザーコードにmegabuf()をサポート
* Pro版インストーラですでにレジストキーが有効な場合はプロンプトを出さない
* gen_ffでのフォントディレクトリを改善
* インターネットTVリストにコンテンツレイティング(格付け)システムを追加
* インターネットラジオ/TVリストに合計帯域幅表示を追加
* メタデータが見つからないときのみメディアライブラリはファイル名から推測します
* 最近の項目追跡オプションのファイルとストリームを分けた
* Winamp3に上書きしても問題無いようにインストーラを修正
* インストーラにmilkdropのドキュメントを追加
* アンインストーラがWinampディレクトリが空でない場合はWinampディレクトリを削除しないように修正
* インストーラでsonic px.dllのバージョンをチェックして、再起動プロンプトを表示するように修正
* nsvメタデータクエリバグの修正
* gen_mlのDBにメタデータが存在しない場合の推測バグの修正

Winamp 5.0	[Dec 14 2003]
* クラシックWinamp 1.x/2.x/2.9x スキンとWinamp 3 ("Modern") スキンのサポート
* 新しいモダンスキン:
   - 統合ビデオ,AVS,Milkdropのサポート
   - 多くのカラーテーマを内蔵
* Winamp2のフィールを望む人々のためのクラシックスキン
* 広大で強力なメディアライブラリ:
   - 自動バックグラウンド フォルダスキャン オプション
   - カスタマイズ可能なViewと列,そしてグラフィカルViewエディタ
   - インターネットラジオ(SHOUTcast)とTV視聴
   - コンテキストアイテム情報View
* CDリッピングサポート (AACで2倍速2xは無料バージョン,MP3で速度無制限はProバージョン)
* CD書込みサポート (無料版では2倍速までの速度制限)
* サポートされたファイル種類での拡張タイトルフォーマット機能
* 大幅なAVSアップデート:
   - 新しいエフェクト、いくつかのサードパーティのAPEを束ねた
   - デフォルト設定を最適化
   - 実験のSMPサポート
   - Full AVSはサブディレクトリサポートをプリセットしました
   - AVS評価ライブラリに対する拡張と最適化
* AACとNSVファイル/ストリームのVP6のサポート
* グローバルホットキーのサポート
* 新しくSignal Processing Studio DSPプラグインをサポート
* プラグインの例外ハンドリングを無効にする開発者向けオプション
* たくさんのプラグインAPIコール群 (SDKは準備中)
* システムトレイの最小化バグを修正
* 新しいWinampアイコン
* XP向けのManifest.xmlファイルをwinamp.exeに追加
* エージェントがWinampで選択されたシステムトレイアイコンを使用するように修正
* Winampのオンデマンドタイトルロード機能を最適化・高速化
* Winampの内部サブメニュー管理の信頼性向上
* スキンフォントのオーバーライド設定機能を追加
* プレイリストエディタのカレントアイテムにセパレータを追加
* 拡張マニュアルプレイリストリピートの修正
* Winampがディレクトリを開く時に再帰検索チェックボックスを追加
* Steveを幸せにする大幅なオーバーホール
* Amir SzekelyとNSIS開発者達の助けにとても感謝します
